grml-live (0.23.2) unstable; urgency=medium

  [ Evgeni Golov ]
  * [e44c3b3] name the correct, non-deprecated, persistence label first

  [ Michael Prokop ]
  * [4a12fc7] Install grub modules into /boot/grub/i386-pc [Testing:
    issue1297] Thanks to Michael Schierl
  * [6905754] Fix syntax error in "${BUILD_OUTPUT}"/boot/grub/i386-pc/
    creation
  * [4df3e2f] Add bzip2 to depends, used for netboot package generation.
    Thanks to Michael Schierl for the bugreport
  * [d1e7709] Run wrap-and-sort -a on debian directory
  * [7a9a250] Remove /etc/resolvconf/resolv.conf.d/original during
    cleanup. Thanks to Evgeni Golov for the pointer
  * [462afb6] Make sure to not leak any mdadm configurations from the
    build system. Thanks to Evgeni Golov for the pointer
  * Software related changes:
    * [b586e55] drop libertas-firmware from GRMLBASE. Thanks to Axel
      Beckert <abe@deuxchevaux.org>
    * [2601da4] replace lynx with lynx-cur. Thanks to Axel Beckert
      <abe@deuxchevaux.org>

  [ Michael Schierl ]
  * [fc89ac0] Add warning for running grml-live from git
  * [d3e8ff2] Make the GRUB images modular
  * [10201fb] Work around regression in GRUB 2.00-22

 -- Michael Prokop <mika@grml.org>  Sat, 29 Mar 2014 17:17:18 +0100

grml-live (0.23.1) unstable; urgency=medium

  * [c701eef] Rework script which checks for uninstallable packages
  * Software related changes:
    - [35e2f8f] drop recover, abandoned upstream

 -- Michael Prokop <mika@grml.org>  Fri, 21 Mar 2014 10:43:46 +0100

grml-live (0.23.0) unstable; urgency=medium

  * [8bdfb54] 98-clean-chroot: get rid of /var/lib/aptitude/pkgstates.old
    in RELEASE class
  * [0442e2a] 33-aptsetup: adopt snapshot.debian.org code for
    http.debian.net
  * [e4b0667] Rename "readonly" boot option to "read-only", renamed in
    live-boot
  * [3ffdf59] Move return code check of FAI-run before wrinting to /etc of
    live system
  * [c5ba433] Enable fbdev for vmwgfx kernel driver [Testing: issue1280]
    Thanks to Andreas Gredler <jimmy@grml.org>
  * Software related changes:
    - [6a5659b] SW: replace transitional package ifenslave-2.6 with
      ifenslave
    - [1d7acdc] SW: remove ufsutils from GRML_{SMALL,MEDIUM,FULL,XL}

 -- Michael Prokop <mika@grml.org>  Thu, 20 Mar 2014 16:23:41 +0100

grml-live (0.22.1) unstable; urgency=medium

  * [adbf302] Update DEBIAN_STABLE for wheezy as current stable release
  * [e5bc692] grml-live.conf: adjust SUITE comment for new defaults
  * [bfb132d] grml-live.conf: adjust debootstrap cmdline for Debian/wheezy
  * [04e6319] zsh completion: update list of Debian suites
  * [c2110d3] Remove DEBIAN_STABLE file regarding wheezy-backports. Thanks
    to Andras Korn
  * [89a4ade] Force bootlocal* files to be executables

 -- Michael Prokop <mika@grml.org>  Mon, 03 Feb 2014 16:21:15 +0100

grml-live (0.22.0) unstable; urgency=low

  The "happy xmas" release

  * [308d87b] Switch from cdn.debian.net to http.debian.net
  * [7721458] Bump Standards-Version to 3.9.5
  * [7b90d41] RELEASE/98-clean-chroot: remove
    /var/lib/apt/lists/*Translation* files
  * [12ae9f0] GRMLBASE/98-clean-chroot: do not execute apt-get update
  * Software related changes:
    - [0ef21d2] add dump to GRML_FULL [Closes: issue1288]
    - [a6d3e35] add nocache to GRML_FULL

 -- Michael Prokop <mika@grml.org>  Tue, 24 Dec 2013 13:13:04 +0100

grml-live (0.21.6) unstable; urgency=low

  * [7858f90] grml-cheatcodes.txt: document passwd and encpasswd boot
    options
  * [8e04e2c] Update list of supported Debian suites/releases and related
    docs
  * Software related changes:
    - [4ed2dcf] Add tcplay to GRML_FULL [Closes: issue1282]
      Thanks to Raoul for the suggestion

 -- Michael Prokop <mika@grml.org>  Thu, 07 Nov 2013 10:18:57 +0100

grml-live (0.21.5) unstable; urgency=low

  * [6e49238] scripts/generate_netboot_package.sh: add closing brace to
    error message
  * [1876480] Fix check for presence of pxelinux.0 file
  * [3c4e3e3] Drop trailing dot in 'Boot from next boot device' Thanks to
    Andreas Gredler for noticing

 -- Michael Prokop <mika@grml.org>  Fri, 13 Sep 2013 12:58:48 +0200

grml-live (0.21.4) unstable; urgency=low

  * [d04892a] Execute freshclam only if class FRESHCLAM is set

 -- Michael Prokop <mika@grml.org>  Tue, 10 Sep 2013 13:24:54 +0200

grml-live (0.21.3) unstable; urgency=low

  * Software related changes:
    - [1f4f495] add nwipe to GRML_FULL
    - [6c246ac] add nwipe to GRML_SMALL
    - [8496764] add clonezilla to GRML_FULL

 -- Michael Prokop <mika@grml.org>  Mon, 09 Sep 2013 23:45:43 +0200

grml-live (0.21.2) unstable; urgency=low

  The "oho, she's crawling!" release

  * [b2689b3] Software related change: add xz-utils to GRMLBASE

 -- Michael Prokop <mika@grml.org>  Wed, 04 Sep 2013 17:11:05 +0200

grml-live (0.21.1) unstable; urgency=low

  The "oho, she's moving!" release

  * [2f7f443] templates: Use lowercase 'timeout' command in syslinux
    configuration
  * [e49b4b3] docs: use wheezy and http.debian.net in base.tgz
    instructions

 -- Michael Prokop <mika@grml.org>  Wed, 14 Aug 2013 13:58:53 +0200

grml-live (0.21.0) unstable; urgency=low

  The "veɪˈkeɪʃən" release

  [ Michael Prokop ]
  * [99d7926] Use UTC as default TIMEZONE
  * [2633dd3] DEBORPHAN/98-clean-chroot: be more verbose about
    executed steps

  * Software related changes:
    - [de23db4] Drop makedev from all GRML_* classes
    - [e00aa4e] Replace epdfview with xpdf in GRML_FULL
    - [a1c6e72] Drop febootstrap from GRML_FULL

  [ Ulrich Dangel ]
  * [1f86521] SW: Add puppet to GRML_FULL

 -- Michael Prokop <mika@grml.org>  Fri, 07 Jun 2013 00:44:55 +0200

grml-live (0.20.2) unstable; urgency=low

  * [8a6187d] grml-live-remaster: check for /remaster before using it,
    mount-bind /run and /dev/pts, create filesystem.module
    [Closes: issue1241] Thanks to Moritz Molle for the initial patch
  * [be66030] GRMLBASE/45-grub-images: adapt script for renamed raid.mod
    file. Thanks to Jordan Uggla for the feedback
  * [4e4fc89] GRMLBASE/45-grub-images: drop raid.mod from static module
    list

 -- Michael Prokop <mika@grml.org>  Mon, 20 May 2013 23:45:15 +0200

grml-live (0.20.1) unstable; urgency=low

  * [7bd13c0] Adopt grml-live-remaster for live-boot's new
    /lib/live/mount/medium/
  * [1d82b15] isolinux boot splashes: adjust path to grml-cheatcodes.txt
  * [d9029ce] grml-cheatcodes: adjust live image path for new live-boot
    default
  * Software related changes:
    - [4687ed3] add genisoimage to GRML_FULL. Thanks to Charles A.
      Hewson <cahewson@eskimo.com> for the bug report

 -- Michael Prokop <mika@grml.org>  Tue, 26 Feb 2013 12:14:34 +0100

grml-live (0.20.0) unstable; urgency=low

  [ Alexander Wirt ]
  * Software related changes:
  * [8c816bf] Move firmware packages to GRMLBASE

  [ Michael Prokop ]
  * Software related changes:
  * [2a20d6e] drop firmware-ipw2x00 from GRMLBASE

 -- Michael Prokop <mika@grml.org>  Mon, 04 Feb 2013 13:39:04 +0100

grml-live (0.19.9) unstable; urgency=low

  * [c080bdb] Bump Standards-Version to 3.9.4

 -- Michael Prokop <mika@grml.org>  Mon, 17 Dec 2012 12:58:26 +0100

grml-live (0.19.8) unstable; urgency=low

  [ Michael Prokop ]
  * [a67febf] New persistency mode is used via boot option "persistence"
    instead of "persistent"
  * [2897f72] persistency boot option: mention full-ov + custom-ov in help
    text
  * [fb6d430] docs: update list of supported Debian suites
  * [9c4a691] Source /etc/grml/grml-live.conf only if it can be read.
    Thanks to Evgeni Golov for reporting
  * [2723ba9] drop log call when trying to source /etc/grml/grml-live.conf
  * Software related changes:
    - [b343411] add ifenslave-2.6 to GRML_FULL and GRML_SMALL
    - [ca66f69] add uuid-runtime to GRMLBASE [Closes: issue1218]
      Thanks to Raoul <raoul@bhatia.at> for the feature request

  [ Evgeni Golov ]
  * [64025b9] create a list of non-free packages and their licenses

 -- Michael Prokop <mika@grml.org>  Mon, 26 Nov 2012 15:09:38 +0100

grml-live (0.19.7) unstable; urgency=low

  * [c92e94e] dpkg-divert grub-probe binary to avoid problems in OpenVZ
    environments
  * [a694752] Drop insserv removal from instsoft.GRMLBASE hook script
  * [c551747] Store md5sum of all files being available in build output
    directory
  * Software related changes:
    - [b3947fe] drop ia32-libs from GRML_FULL

 -- Michael Prokop <mika@grml.org>  Tue, 11 Sep 2012 15:11:13 +0200

grml-live (0.19.6) unstable; urgency=low

  The "jenkins-debian-glue" release

  * [59296d8] Revert "Replace cdn.debian.net with http.debian.net"
    until #685192 ("apt: redirection handling changes in 0.9.4 may break
    aptitude") has been resolved
  * [1584694] Display usage information if any unknown cmdline option is
    used
  * [644f7bd] Do not accept any command line arguments we can't handle

  * Software related changes:
    - [b888dd3] SW: add netsniff-ng to GRML_FULL [Closes: issue1197]
    - [4e4a05a] SW: drop ddrescue from GRML_MEDIUM and GRML_SMALL (removed
      from Debian, see #677101)
    - [7dd680b] SW: add gddrescue to GRML_SMALL
    - [15918cd] SW: replace fuse-utils with fuse
    - [5c1e272] SW: add ssmping to GRML_FULL

 -- Michael Prokop <mika@grml.org>  Mon, 27 Aug 2012 15:32:12 +0200

grml-live (0.19.5) unstable; urgency=low

  The "Stockholm" release

  * [4e027c7] Unset TMPDIR to avoid leaking the variable into chroot
    scripts
  * [0533a72] Replace cdn.debian.net with http.debian.net
  * [2fa5b80] templates/GRML/README.txt: update to match current
    development
  * Software related changes:
    - [05ff8cd] drop arrayprobe from GRML_FULL + GRML_XL
    - [40f7c44] add firmware-bnx2 + firmware-bnx2x to GRML_SMALL and
      GRML_FULL
    - [e0dc6c6] add epdfview to GRML_FULL. Thanks to Evgeni Golov,
      Alexander Wirt and Markus Ulrich raising this issue
      [Closes: issue1189]

 -- Michael Prokop <mika@grml.org>  Mon, 02 Jul 2012 15:24:21 +0200

grml-live (0.19.4) unstable; urgency=low

  [ Michael Prokop ]
  * [4c8f1b5] GRMLBASE/21-usersetup: drop deprecated workaround
    for gsmsms (see #353967)
  * [dfb358d] GRMLBASE/33-aptsetup: adjust snapshot.debian.org cmdline
    and enable it for RELEASE class (Closes: issue1083)
  * [6104812] Ignore --uefi option for isohybrid on 32bit systems
  * [3f2420b] Architecture sanity check: be more restrictive using a
    word-regexp grep
  * [feacdba] Do not bailout (incl. cleanup) but just exit if user wants
    to quit
  * [06021ae] GRMLBASE/45-grub-images: calculate real disk size of
    bootx64.efi. Thanks to Andras Korn for the patch
  * [2cb9607] GRMLBASE/45-grub-images: put single quotes to
    appropriate place
  * [11fd80a] GRMLBASE/95-package-information: drop field width
    option in dpkg-query command
  * Software related change:
    - [f1c4de5] drop smbfs from GRML_FULL + GRML_XL (provided by
      cifs-utils nowadays)

  [ Csillag Tamas ]
  * [9102cb3] Do not remove the chroot if the user backs out

 -- Michael Prokop <mika@grml.org>  Tue, 12 Jun 2012 00:29:15 +0200

grml-live (0.19.3) unstable; urgency=low

  The "ready for Grml 2012.05" release \o/

  [ Michael Prokop ]
  * [33427af] Add whitespace chars to ssh docs on boot splash f5
  * [0f27814] grml-cheatcodes.txt: update and extend documentation
    regarding live-media-path
  * [56dc49c] templates/boot/grub/addons.cfg: insmod linux16 before
    running linux16 commands. Thanks to Evgeni Golov for the bugreport
    and the fix

  [ Markus Ulrich ]
  * [7602518] Extend the infotext about the ssh feature for bootmenu and
    f5-help at boot prompt

 -- Michael Prokop <mika@grml.org>  Mon, 28 May 2012 17:24:22 +0200

grml-live (0.19.2) unstable; urgency=low

  The "happy multitasking" release ←↑↓→

  * [193203a] DEBORPHAN/98-clean-chroot: purge removed packages
  * [4bc598a] Generate make-fai-nfsroot.conf and nfsroot.conf on-the-fly
    (Closes: gh #4)
  * [8cfed16] Generate /etc/grml_live_version after FAI execution + drop
    /etc/dpkg/dpkg.cfg.d/unsafe-io code
  * [6dcd837] Drop unused NFSROOT configuration file
  * [3106869] Use syslinux's mboot.c32 for booting Grub2. Thanks to
    Jordan Uggla for his valuable bootloader knowledge
  * [63cf502] umount_all: also get rid of loopback mount of ISO
  * [a7f99c4] extract ISO feature: make sure *.squashfs files exist +
    support older ISOs too. Thanks to Charles A. Hewson
    <cahewson@eskimo.com> for the bugreport
  * Software related changes:
    - [80a1a18] SW: add sysstatt to GRML_FULL. Thanks to
      Michael Renner for reporting

 -- Michael Prokop <mika@grml.org>  Fri, 25 May 2012 16:44:40 +0200

grml-live (0.19.1) unstable; urgency=low

  [ Michael Prokop ]
  * [582f3a3] Bump Standards-Version to 3.9.3
  * Software related changes:
    - [cb20a89] add pppoeconf to GRML_SMALL and GRML_FULL
      Thanks to Heinz Ahrens for the wish request
    - [d81e978] add open-vm-tools to GRML_FULL
      Thanks to Holger Baust for the suggestion
    - [851f880] add iptstate to GRML_SMALL and GRML_FULL
      Thanks to Markus Ulrich
    - [026a603] add xmount to GRML_FULL
    - [3ff6f9b] add ewf-tools to GRML_FULL

  [ Evgeni Golov ]
  * [bf4073e] Switch order of Depends from genisoimage | xorriso to
    xorriso | genisoimage
  * [950ef7a] document ethdevice-timeout cheatcode. Thanks to
    Vincent McIntyre <vincent.mcintyre@csiro.au> [Closes: issue1153]

 -- Michael Prokop <mika@grml.org>  Mon, 14 May 2012 15:58:26 +0200

grml-live (0.19.0) unstable; urgency=low

  The "progress everywhere" release.

  [ Ulrich Dangel ]
  * [424e4c8] Update ssh documentation
  * [f1934c0] Fix purpose comment of
    /etc/grml/fai/config/scripts/GRMLBASE/48-tmpfs

  [ Michael Prokop ]
  * Bugfixes and improvement related changes:
    - [6eb1b1e] Use ";" as separator character when adjusting
      DEFAULT_BOOTOPTIONS via sed [Closes: issue1165]
    - [94a9b17] Generate static loopback.cfg configuration without
      depending on GRUB's regexp module
    - [f56cc0d] grml-live-remaster: Slightly adjust check for running
      Grml session
    - [7419019] grml-live-remaster: Support mkisofs + genisoimage
    - [5081cf1] grml-live-remaster: Drop deprecated mksquashfs-lzma support
    - [5e52583] grml-live-remaster: Slightly improve argument check and
      send error message to stderr
    - [d74ed63] grml-live-remaster: Fix bashism
    - [cf1e362] Add a few kB of lines made of # charaters to the end
      of the main syslinux config file. Thanks to Marco d'Itri

  * Software related changes:
    - [d91a6d4] Add disktype to GRML_SMALL and GRML_FULL
    - [dc28a1b] add hostapd to GRML_FULL. Thanks to Matthias Strubel for
      suggestion
    - [e06b6cf] Move vlock to GRMLBASE. Thanks to Thomas Arendsen Hein
      for reporting
    - [723b823] Add rfkill to GRML_SMALL, GRML_FULL + GRML_XL.
      Thanks to Alexander Wirt <formorer@grml.org> for the hint
    - [637a57e] Add mosh to GRML_FULL and GRML_XL
    - [e1719d6] Remove grml-feedback from GRML_{SMALL,MEDIUM,FULL,XL}
    - [7d188c0] Add flashrom to GRML_FULL
    - [3770abe] Replace all references to kernel specific versions
      with linux-image-{i386,amd64}-grml

  [ Evgeni Golov ]
  * [27c41d7] check for existence of /etc/grml and /live
  * [d365bf7] sudoers has to be owned by uid 0
  * [9f40afc] lsb-base: override output of the status on the left
    side of the terminal

 -- Michael Prokop <mika@grml.org>  Tue, 08 May 2012 17:38:36 +0200

grml-live (0.18.1) unstable; urgency=low

  [ Michael Prokop ]
  * [3c88b8f] Update lintian override entries to match current package
    state
  * [1d7c79c] debian/rules: add build-arch + build-indep to make lintian
    happy
  * [a909319] GRMLBASE/98-clean-chroot: get rid of all lvm backup files
  * [3a6abc0] GRMLBASE/98-clean-chroot: get rid of /etc/blkid.tab
  * [dde7410] GRMLBASE/98-clean-chroot: do not run apt-get update if
    RELEASE class is set
  * [6c567af] docs: simplify and improve base.tgz instructions
  * Software related changes:
    - [6bd64f3] SW: add cifs-utils to GRML_FULL
    - [b6c508e] SW: add smbfs to GRML_FULL
    - [ff74db7] SW: add numactl to GRML_FULL

  [ Ulrich Dangel ]
  * [4362c28] SW: Remove grml-rescueboot from GRML_XL as it is not really
    useful on a live-cd

 -- Michael Prokop <mika@grml.org>  Sun, 29 Jan 2012 14:40:45 +0100

grml-live (0.18.0) unstable; urgency=low

  [ Michael Prokop ]
  * Bugfixes, improvements,...:
    - [a317c47] grml-cheatcodes: drop deprecated nodhcphostname option
    - [9dc2a44] persistency feature: do not use persistent=nofiles
      any longer
    - [f1d8110] boot templates: add whitespace to end of line of
      kernel cmdlines
    - [aff41fa] Remove nowadays unused software-changes-schedule.txt
    - [20c5aed] Remove resolved/deprecated items from TODO
    - [4eaa219] Depend on syslinux instead of syslinux-common
    - [7477e43] Package validation: also detect packages that
      failed to install

  * Software related changes:
    - [330d132] add live-boot-grml-doc to GRMLBASE
    - [5bea535] add usb-modeswitch to GRML_FULL. Thanks to
      Pawel azhag Sadkowski <azhag@fluxboxpl.org>
    - [9c06220] add wvdial to GRML_FULL. Thanks to
      Pawel azhag Sadkowski <azhag@fluxboxpl.org>
    - [1192a63] add slurm to GRML_FULL
    - [1182368] add iftop to GRML_FULL
    - [cf2f89d] add exfat-fuse + exfat-utils to GRML_FULL [Closes: issue1130]
    - [56d29ab] add bsdmainutils to GRML_FULL
    - [8d484f6] add dctrl-tools to GRML_FULL
    - [1e1f094] add ser2net to GRML_FULL
    - [f9524fc] add lrzsz to GRML_FULL
    - [77a9490] add dos2unix to GRML_FULL
    - [b5eca34] add memtester to GRML_FULL
    - [d54f224] drop extundelete from IGNORE class

  [ Alexander Wirt ]
  * Software related changes for GRML_SMALL:
    - [1de34f5] Add cu
    - [3cd7d12] Remove reptyr
    - [c765a01] Sync packages with grml-full
    - [44b56c1] Replace dante-client with tsocks
    - [0247837] Remove deselect
    - [0d9a337] Remove login
    - [5db2b56] Replace ncftp with lftp
    - [6d77e63] Replace tofrodos with dos2unix
    - [36c8ddd] Remove jed
    - [b7e9437] Add locales to grml-live

  [ Brad Cable ]
  * Software related changes for GRML_XL:
    - [b4afd8d] Package removal for cleanup and stability

 -- Michael Prokop <mika@grml.org>  Mon, 16 Jan 2012 12:44:37 +0100

grml-live (0.17.4) unstable; urgency=low

  * [f6b5bf3] GRMLBASE/25-locales: fix check for presence of localepurge
  * [fcd3d3c] Use /media instead of /mnt for default mount paths
  * Software related changes:
    - [e2a3724] SW: add firmware-myricom to GRML_FULL
    - [9a24075] SW: add firmware-netxen to GRML_FULL
    - [a2131a1] SW: add irssi to GRML_FULL
    - [28b6310] SW: add libiscsi-bin to GRML_FULL
    - [549c2d8] SW: add tcptraceroute to GRML_FULL
    - [f212f4c] SW: add buffer to GRML_FULL

 -- Michael Prokop <mika@grml.org>  Wed, 11 Jan 2012 18:30:49 +0100

grml-live (0.17.3) unstable; urgency=low

  [ Ulrich Dangel ]
  * [d85f820] Export environment variables for submenues
  * [59228b5] Add additinal checks to make sure convert as well as the
    necessary files are present for creating the wallper
  * [ce5ae66] Remove small from grml-cheatcodes as it does not work with
    current versions
  * [46d7fb8] Add h to getopt list to support -h anywhere in parameter
    list
  * [d116da3] Change default SUITE from squeeze to testing
  * [3930b11] Do not enable tmpfs /tmp as / is backed-up by tmpfs anyway.
  * [99831ce] Move cleanup of package list cache from GRMLBASE to RELEASE
  * [f92ebd9] Adjust RELEASE/98-clean-chroot to delete more files
  * [2fef0e3] Document brltty boot options
  * Software related changes:
    - [3f4262c] Add fsarchiver to GRML_FULL
    - [3c75346] Add hexedit to GRML_FULL [Closes: issue1119]
    - [5ba215c] Remove apt-listchanges and apt-listbugs from GRML_XL
    - [e87c5a0] Add lzop to GRML_FULL

  [ Michael Prokop ]
  * [a50de9f] Use isohybrid as default HYBRID_METHOD
  * [05a12f5] docs: use --no-install-recommends instead of dpkg option.
    Thanks to Evgeni Golov for the hint
  * [17c129d] Provide hint to user if netboot.cfg could not be found
  * [286b0d2] GRML_SMALL/98-clean-chroot: remove "set -x" not suited for release

  * Software related changes:
    - [74614d9] add wireshark to GRML_FULL [Closes: issue1115] Thanks to
      Frank Prochnow <doc42@gmx.net> for the suggestion.
    - [feb84a9] add comgt to GRML_FULL. Thanks to Csillag Tamas for
      request on Grml mailing list
    - [b42c286] add ipmitool to GRML_FULL. Thanks to Csillag Tamas
      <cstamas@digitus.itk.ppke.hu> for bringing it up on the Grml mailing
      list
    - [fb29a09] add firmware-qlogic to GRML_FULL. Thanks to Csillag
      Tamas <cstamas@digitus.itk.ppke.hu> for bringing it up on the Grml
      mailing list
    - [16e7576] enable grub-efi-amd64-bin/grub-efi-ia32-bin in GRMLBASE
      class [Closes: issue1124]
    - [533c998] Add IGNORE class blacklisting extundelete

  [ Christian Hofstaedtler ]
  * [766386e] Cheatcodes: clarify that vnc* doesn't work OOTB
  * [94ef7f9] Unconditionally reset resolv.conf in chroot
  * [2203377] Make /run work for softupdate
  * [895b6b6] Run apt-get update during softupdate
  * [fcc1672] Build netboot package checksum file with relative paths
  * [b9d53b2] Update instrunctions for installing on squeeze

  [ Alexander Wirt ]
  * GRML_SMALL related changes:
    - [b7f7e5a] Add EFI stuff to GRML_SMALL
    - [6225bfa] Remove worstest hacks from GRML_SMALL/98-clean-chroot
    - [5be4ea5] Don't purge locale
    - [8136c87] Use metapackages for kernel
    - [5138b63] efi stuff is now in GRMLBASE

 -- Michael Prokop <mika@grml.org>  Mon, 09 Jan 2012 16:41:53 +0100

grml-live (0.17.2) unstable; urgency=low

  [ Ulrich Dangel ]
  * [5abbeac] Fix arch issue for 45-grub-images

 -- Michael Prokop <mika@grml.org>  Fri, 23 Dec 2011 02:14:43 +0100

grml-live (0.17.1) unstable; urgency=low

  [ Michael Prokop ]
  * [dfe1f07] grml-cheatcodes.txt: document vnc bootoptions
  * [88cfc40] grml-cheatcodes.txt: fix typo
  * [94cfb7b] generate sha1 checksum file of netboot package
  * [5bfdcec] Update docs to better match recent development
  * [8441a6a] GRMLBASE/44-grub: make sure directory /boot/grub exists.
    Thanks to Thomas Koehler for the bugreport

  [ Ulrich Dangel ]
  * [9b24866] grml-cheatcodes.txt: Add documentation about nostats bootoption
  * [b8db7a0] Add graphicoreBitmapFont0-Light.otf to grml-live.
  * [ccdff8a] Replace old desktop.jpg with new desktop-bg.png
  * [7c309e0] Update /etc/grml_version in GRMLBASE script instead of grml-live
  * [79a1183] Update wallpaper in fai scripts
  * [86f084d] Recommend imagemagick
  * [445e589] Remove the default quiet boot parameter for a verbose bootup.
  * [819fc49] Umount /proc/sys/fs/binfmt_misc before umounting /proc.
  * [8dbae90] Add additional resolution (1600x900) to grub.cfg.
  * [51e56e2] Replace 1440x1050 with 1400x1050
  * [d5596b5] Use gfxmode=auto instead of specifying manually resolutions
  * [6d72f5e] Support template filenames in grml-live.
  * [a9f099a] Introduce new config files for grub bootloader.
  * [d501c11] Add basic grml theme to grub
  * [9512656] Play sound after the grub menu is shown.
  * [1c3ff78] Try to load regexp in grub.cfg
  * [e138162] Ensure that the file used for replacing the template parameters is a file.
  * [9b2a50c] Print a message before loading kernel or initrd in grub
  * [f61863d] Add trailing whitespace to grub commandline
  * [6da554d] Add beep to templates/boot/isolinux/vesamenu.cfg
  * [b18889f] Build grub.img for loading grub from within syslinux

  [ Christian Hofstaedtler ]
  * [3f2b59d] Stop disabling KMS for radeon
  * [b89381a] Modernize Windows AutoRun templates
  * [f009115] Simplify GRML/index.html template
  * [ea794c5] Match startpage.html design to grml.org site
  * [9213b27] Tighten replacement operation for SNAPSHOT class
  * [f6e33fb] Ensure all passed paths are absolute
  * [a49d935] Internally, rename GRML_LIVE_LOCAL_CONFIG to LOCAL_CONFIG
  * [c2fac3a] Don't source grml-live.{conf,local} in scripts if not required
  * [436d892] Use premade LOGDIR var
  * [352c822] Make username replacement in inittab more robust
  * [ef51d0c] Expose (selected) config vars to fai scripts
  * [0a40a21] Make sure USERNAME doesn't leak in from ENV
  * [6e77809] Merge initramfs scripts
  * [a4703ee] Fix capitalization of project name in GRML/index.html
  * [b499e10] Update welcome splash ascii art
  * [0b584ff] Remove 'failsafe' boot option, which wasn't really failsafe
  * [24e7e2c] Remove comment about failsafe boot option
  * [39edd53] Enable fb for "graphical mode" boot option in isolinux
  * [fad3fb7] Remove grml-live-buildd package
  * [11baa33] Add -e option to unpack ISOs
  * [3abf943] Remove -T option
  * [4161d3c] Change -A option to not build chroot.tar.gz anymore
  * [ffc122b] Update version in grml-live during Debian package build
  * [62a1ab3] Don't suggest /dev/shm as a build location
  * [796f001] Make it clear that squashfs-tools from bpo is fine
  * [07dc676] Shorten, but don't totally rename kernel and initrd files
  * [8966263] Install netboot.cfg as pxelinux.cfg/default _file_
  * [4efbf69] Use sane paths for intermediate EFI files
  * [1684dab] Move squashfs into flavour-specific path
  * [ff80c12] Install "GRML" files into GRML/$GRML_NAME/
  * [8b88fe0] Revert accidental addition of fat to grub2 core.img
  * [f925961] Trim spaces off of default DISTRI_INFO
  * [b81f460] Remove unused grub background image
  * [ec0c871] Optimized all PNGs with "optipng"
  * [6673903] Rework EFI file copy/moving


  Software Changes:

  [ Michael Prokop ]
  * [4f44cb4] SW: add rinse to GRML_FULL
  * [fd94537] SW: replace iscsitarget with open-iscsi + targetcli in GRML_FULL
  * [5f895b3] SW: add python-urwid as depends next to targetcli in GRML_FULL
  * [e754942] SW: replace version specific linux-image-* packages in GRML_FULL with meta package.
    Thanks to Christian Hofstaedtler <ch@grml.org> for his kernel packaging work

  [ Ulrich Dangel ]
  * [30c312b] SW: Add extundelete to GRML_FULL

  [ Christian Hofstaedtler ]
  * [985f29c] SW: add boot-info-script to GRML_FULL [Closes: issue1004]
  * [eafbf7e] SW: add vblade, aoetools to GRML_FULL [Closes: issue1092]
  * [4c6a7a9] SW: add firmware-linux-{free,nonfree} to GRML_FULL
  * [7765407] SW: remove explicit install of squashfs-lzma-tools

 -- Christian Hofstaedtler <ch@grml.org>  Fri, 23 Dec 2011 00:35:57 +0100

grml-live (0.17.0) unstable; urgency=low

  [ Michael Prokop ]
  * [11ac4be] GRMLBASE/91-update-pciids: do not exit with error if network
    does not work
  * [7d9c9ef] GRMLBASE/91-update-pciids: fix wrong log message
  * [17243dd] 98-clean-chroot: do not fail with more than one kernel
    version installed
  * [ceeb58b] Revert "Move 01-iceweasel to GRML_XL scripts"
  * [b5dfcc4] don't use colors/escape sequences if running in dump
    terminal
  * [cc7616e] do not fail with empty $APT_PROXY
  * [b97721f] retrieve source packages via grml-live using SOURCES class
  * [c9141f4] rework sources setup (deprecated GRML_LIVE_SOURCES, install
    /etc/apt files recursively)
  * [b0b7374] use system architecture as default
  * [22e1e9f] use AMD64 class in usage examples and use GRML_FULL instead
    of GRML_MEDIUM/GRML_SMALL everywhere
  * [809f9a6] make sure we don't leave any FAI ramdisks behind
  * [220ee72] use GRML_FULL as default and update docs accordingly for
    available classes
  * [6245469] replace realpath with readlink -f to avoid dependency on
    realpath
  * [55405b9] 98-clean-chroot: do not zero out install_packages.list
  * [a31a8fd] provide report of missing packages in xunit format for usage
    within e.g. Jenkins
  * [66a2581] GRMLBASE/16-depmod: drop the 2-digit check
  * [2e1a0a3] provide package config for Debian/stable builds and enable
    backports by default there
  * [2861f16] updatebase.GRMLBASE: run recursive fcopy with -B to avoid
    backup files
  * [94a95c0] updatebase.GRMLBASE: do no longer skiptask updatebase and
    exit in softupdate action
  * [7d3ca65] instsoft.GRMLBASE: do not run explicit apt-get update any
    longer
  * [d338d0c] rework resolvconf handling
  * [f4e1966] readd skiptask updatebase to updatebase.GRMLBASE
  * [5a00bf3] resolv.conf handling: resolve symlink inside chroot + drop
    resolvconf from 96-apt-listbugs
  * [17e7145] initial UEFI support, using isohybrid as default now. Thanks
    to Ulrich Dangel <mru@grml.org>
  * [27a1660] Quote GRML_FAI_CONFIG in warning message since its unset
  * [5a215cd] 92-update-freshclam: fix wrong file name in exit message
  * [b4c258f] rework check for xorriso version and be more verbose about
    its usage
  * [dacf428] Provide DEBIAN_UNSTABLE sources.list config
  * [c5d1013] 98-clean-chroot: also get rid of symlinks of *.pre_fcopy
    files
  * [f3768e9] 01-iceweasel: remove backup file in fcopy cmdline
  * [b0f14af] Integrate netboot package generation
  * [2462be5] Depends: support xorriso as alternative to genisoimage

  * Software related changes:
    - [e4c899f] drop bind9 from GRML_FULL
    - [a45cb79] add imvirt to GRML_{SMALL,MEDIUM,FULL}
    - [4bd3dc2] add gitk to GRML_FULL [Closes: issue1057]
    - [67414c3] add iceweasel to new GRML_FULL
    - [090c35d] replace dhcp3-client with isc-dhcp-client
    - [69d1d92] add iotop to GRML_FULL

  [ Christian Hofstaedtler ]
  * Software related changes (with a lot of commits, skipping full
    list here): rework GRML_FULL flavour to match our "install & rescue"
    mission, GRML_FULL was renamed to GRML_XL.
  * [eea9d23] Automatically start nfs client and avahi, dbus
  * [d2937b0] Ignore more cruft, add runtime to buildd emails
  * [8d172da] Rename GRML_FULL buildd scripts to match that name
  * [bb0dec8] buildd: remove REMOVE_DOCS from small ISOs
  * [472c316] buildd/functions.sh: use dash-compliant subtraction
  * [89f0896] buildd: update sha1sums of base(64?).tgz
  * [3cb3de3] buildd: disable squeeze flavours in cleanup,link_latest
  * [fc97e07] buildd: configure $FLAVOURS
  * [d90aede] buildd: use syslog for cleanup log
  * [a5aaf33] buildd: use $FLAVOURS to control which flavours are built
  * [301769f] Remove grml2hd boot options
  * [8956f89] Remove noapm from boot options
  * [b02525c] Remove duplicate mentions of nousb*
  * [873eae1] Remove 915resolution boot option doc
  * [ab2da74] Remove tsplash support
  * [726a0a5] Update GRML Splash text to be neutral
  * [c58ac42] Move init-top/grml into hands of 42-branding
  * [00b6072] Deploy /etc/lsb-base-logging.sh
  * [97bddb8] buildd: files moved to grml.org:/daily/
  * [d82c4d5] lsb-base-logging: must use $TPUT for tput
  * [5c514e0] Enhance lsb-base-logging styles for action messages
  * [eff94dc] Ship sanitized rsyslog.conf
  * [6833c8b] Move 01-iceweasel to GRML_XL scripts
  * [164b594] Use addon files from chroot if present
  * [c9ebd69] Switch back to /var/log/syslog
  * [a135bda] Append .log to grml-buildd.std{out,err} logfile names
  * [8970e98] Remove dbus machine-id
  * [8e7b216] buildd: create ISO_NAME in function.sh
  * [d3526f6] buildd: merge grml-buildd.std{out,err} into grml-buildd.log
  * [d7655f4] buildd: prefix log dir target with PRODUCT_NAME
  * [b3107d1] buildd: report email overhaul
  * [d9a3489] Move grml-live.log to output directory
  * [4152229] Retain FAI logs in grml_logs directory
  * [005cdc1] Add APT_PROXY configuration variable
  * [082aac8] buildd: add jenkins-link_latest.sh
  * [877d273] buildd jenkins-link_latest.sh: handle non-existing files
  * [c2fdb23] buildd jenkins: temporarily link into /new
  * [8c79da9] Add -A option for ensuring clean builds and pack artifacts
  * [a82f40f] Add -U option to ensure output files ownership
  * [e253ce7] Don't treat CHROOT_ARCHIVE as a directory
  * [b63a5f1] Add documentation for -A and -U
  * [f016252] Copy install_packages.list to grml_logs
  * [da6352e] Use grml_logs/fai as CHECKLOG source
  * [b010f18] New: specify SNAPSHOT to change debian.list to
    snapshot.debian.org
  * [7690106] Silence LOGFILE errors when using log too early
  * [eab80d9] Add -T option for unpacking chroot archives
  * [f83953b] Document "nobeep" boot option.
  * [9b8e3c9] jenkins-link_latest: prepare for standalone use
  * [0aa6907] Refer to new grml-udev-rebuildfstab man page in /etc/fstab
  * [0894980] Set Acquire::Check-Valid-Until false in APT config
  * [9dafaad] Unifiy local config handling
  * [a55b991] Always enable grml-live distribution
  * [e68d43e] Fix unpacking of existing chroot tarball
  * [d3176d7] Update grub background picture
  * [b9dbe4c] Try to use a good gfx resolution by default
  * [c30a975] Don't hardcode wm-ng as window manager for X
  * [793ad3a] Embed squash4 in efigrub
  * [98aec0d] Use grub from target
  * [fba0f4e] Hardcode i386-pc for grub path

  [ Ulrich Dangel ]
  * [c73eca0] Remove load_video function call as function does not exist
    anyway
  * [8735823] Use prefix=($root) instead of prefix=$root in efi script
  * [f09970d] Add piwik tracking code to startpage.html
  * [0178232] Fix typo (1200 instead of 1280) in grub.cfg

 -- Michael Prokop <mika@grml.org>  Fri, 09 Dec 2011 23:21:10 +0100

grml-live (0.16.1) unstable; urgency=low

  The "right before the storm v2-ng++" release.

  [ Christian Hofstaedtler ]
  * Packaging related changes:
    - [d6d48a3] Remove bundled grub2
    - [560e0f3] Remove wget dependency
    - [bfbf9fb] Remove grub1 (binaries and support for it)
    - [3e2ceba] Use ipxe.lkrn from ipxe package
    - [92d38ed] Use pci.ids file from pciutils
    - [db2672a] Remove mkisofs from Depends:
    - [dc9f2f5] Use memtest binary from memtest86+ package
    - [7734643] Use memdisk and hdt from syslinux-common package
    - [d4af86e] Remove bsd4grml, freedos and grml-live-addons deb
    - [9c238dc] Use ifcpu64.c32, vesamenu.c32, isolinux.bin from
      syslinux-common
    - [7a0c07b] Loose dependencies so we can be installed on squeeze

  * Features and improvements:
    - [d0a99d9] Use grml-runtty to run our ttys
    - [bbfff0f] remove empty and unused GRML_POWERPC package config
    - [f35b52a] Install desktop wallpaper using grml-live, replacing
      grml-files
    - [1b9dc6e] On GRML_FULL add Iceweasel "branding"

  * Software related changes:
    - [f1d0f49] add grml-scripts-core to GRMLBASE
    - [19e99f6] remove e3
    - [2dcc29e] remove supplemental emacs libraries
    - [673f796] remove jack server and clients
    - [b48a1ee] remove ophcrack
    - [768313f] remove guymager
    - [ac466e6] remove pxfw
    - [82ce059] remove qpxtool
    - [5b4a5de] remove libtool
    - [515a8f0] remove C(++) compilers and linux headers
    - [bfe1fbd] remove grml-docs and install startpage with grml-live
    - [f500775] remove spurious grml-small package from grml-medium
    - [3dd2f8d] remove unmaintained accessibility support
    - [0b47ab3] No longer install packages that will be sunset on Oct30

  [ Michael Prokop ]
  * Bugfixes:
    - [dc885d9] 90-update-alternatives: do not set alternative for vim if
      we just have vim.tiny.
    - [24bc671] 90-update-alternatives: do not set vim as alternative for
      `view`
    - [6339a34] Check for --format option support in grub-mkimage, do not
      use absolute path for binary call
    - [e0306d0] + [611ad6b] fix kernel version detection in config/scripts/
    - [4eac603] do not zero out /var/spool in GRMLBASE/98-clean-chroot
      [Closes: issue1065] Thanks to Marek Malevic
    - [9d50a44] mark bootlocal scripts as executables

  * Changes and improvements:
    - [5780f4d] 98-clean-chroot: fix typo (localepurg->localepurge) in
      warning message
    - [0aa4a5e] Make sure grub-mkimage exists, otherwise warn user about
      grub-common/grub-pc
    - [c45c995] Fix indention of memtest mv command
    - [fbf963a] copy_addon_file(): do not be verbose to the user, but
      send it to the log instead
    - [09b2ee2] Unify warning message for missing adddon file for bsd4grml
    - [4fcf199] inittab configs: drop commented lines mentioning zsh-login

  * Software related changes:
    - [bcf837f] add reptyr to GRML_SMALL, GRML_MEDIUM and GRML_FULL
    - [ae41521] update to kernel version 3.1.0-grml

 -- Michael Prokop <mika@grml.org>  Fri, 28 Oct 2011 00:05:07 +0200

grml-live (0.15.1) unstable; urgency=low

  The "right before the storm" release.

  [ Michael Prokop ]
  * [4a05b54] 98-clean-chroot: check existence of updatedb binary via
    $ROOTCMD.
  * [6d5124d] 98-clean-chroot: check existence of aptitude binary via
    $ROOTCMD.
  * [91e9fb2] instsoft.GRMLBASE: Use --force-yes option when using apt-get
    for upgrade.
  * [fc9bf3c] instsoft.GRMLBASE: make sure we can upgrade automatically
    even with unsigned repos if FAI_ALLOW_UNSIGNED is set
  * [dcc3ba1] GRMLBASE/16-depmod: provide verbose error message regarding
    the kernel x.y-grml[64] <-> module-init-tools v3.12 situation.
  * [e725f1f] buildd/cronjob.sh: no longer build daily ISOs of
    Debian/squeeze.
  * [990cf8d] Do not complain about missing addons_list.cfg file.
  * [f180765] Fix typo in log message for isolinux includes.
  * [e4cf035] 90-update-alternatives: check for available alternatives
    before setting them.
  * [6afe668] 25-locales: make sure the localepurge package exists, not
    only the binary.
  * Software related changes:
    - [deeedac] add bti to GRML_FULL. [Closes: issue1010] Thanks to
      Pawel Sadkowski <azhag@dug.net.pl>
    - [0e8d730] Update to kernel version 3.0.
    - [5bb1e78] Remove grml-laptop, grml-pylib, grml-sectools and grml-
      templates from GRML_MEDIUM and GRML_FULL.
    - [1bceaed] replace git-core with git package in GRML_FULL. Thanks
      to Uli Martens <uli@youam.net>

  [ Christian Hofstaedtler ]
  * [d0d3390] Switch to live-boot-grml and remove pins
  * [4e325f9] Remove squeeze ISOs from daily.grml.org index
  * [b3b8d85] Add debian/control headers Origin, Bugs
  * [209bd84] Remove haltlocal.first from runlevel.conf
  * [aa30e6f] Move bootlocal.* from grml-autoconfig here
  * [e677c45] Remove pinning for grml-stable, grml-testing
  * [905546a] Enable grml-live repository for testing, too
  * [9f96a38] docs: don't download DTDs when building docs
  * [f66079e] usersetup: Fixup path to inittab after f3b335ea landed
  * Software related changes:
    - [f181637] Remove pppoe from GRML_FULL.
    - [ea03835] Remove svn-ssh-wrappers from GRML_FULL

 -- Michael Prokop <mika@grml.org>  Thu, 18 Aug 2011 18:44:42 +0200

grml-live (0.15.0) unstable; urgency=low

  The "redesign ftw \o/" release.

  [ Christian Hofstaedtler ]
  * [c315d7d] Update lintian overrides for grub 1.99-4 drop
  * [9269536] Enable --force-unsafe-io for dpkg
  * [9d16d7a] No longer install PuTTY and other windows binaries
  * [7270085] Update SQUASHFS_EXCLUDES_FILE example to match code
  * [5c58f1d] Fix SQUASHFS_EXCLUDES_FILE default not being set
  * [dd60c7e] Drop * expansion from mksquashfs call
  * [6782d44] Turn on wildcard support for mksquashfs excludes
  * [2889351] Move /run, /var/run, /var/lock exclusion to mksquashfs

  * Software related changes:
    - [ed9696d] remove loop-aes-{utils,testsuite}
    - [bcf093e] add atftp to GRML_FULL
    - [1c39c7d] add links to GRML_MEDIUM
    - [406dff8] remove socket from GRML_MEDIUM,GRML_SMALL
    - [5b77db8] transition from netcat to netcat-openbsd
    - [c521af7] remove alsa-tools from GRML_MEDIUM
    - [c08f56e] Spring cleaning

  [ Michael Prokop ]
  * Bugfixes:
    - [c9ebd4a] 01-packages: Ignore packages marked for un-installation.
    - [8a35993] Remove /var/log/install_packages.list on release.
      File is emtpy then anyway.
    - [6c00c3c] Update resolv.conf handling to properly support /run
      [Closes: issue984].
    - [b8c8c53] grml-live: try updating initramfs if creating fresh
      one failed.
    - [8d897e7] Adjust trap handling to get clean exit.
    - [e0f701f] 98-clean-chroot: make sure rm does not resolve the symlink
    - [1374521] scripts/release_helper.sh: force confmiss and confnew
      options when installing package so automated installation works when
      having modified configuration files.
    - [1b426d8] GRMLBASE/98-clean-chroot: recursively remove
      /var/lib/clamav/clamav-*.
    - [649b40f] DEBORPHAN/98-clean-chroot: Make sure deborphan exists
      in chroot.
    - [7580b07] 98-clean-chroot: fix check for presence of update-menus.
    - [f605fe8] debconf/GRMLBASE: drop wicd preseeding to avoid
      errors with installation.
    - [866b47c] Implement dpkg-divert handling to address failing update-grub
      in openvz environments.
    - [1cef31a] Add workaround to solve udev packaging bug (see #632624).

  * New features / improvements:
    - [9ecfe24] GRMLBASE.var: set maximum number of packages installed
      at a time to 3000.
    - [1e9092e] Support -N option to only bootstrap the grml_chroot
      and skip building of [files for] ISO.
    - [d95eed1] Try to reduce build time and do not build initramfs twice.
    - [6998e9e] scripts/release_helper.sh: Use +autobuild instead of
      ~autobuild for version suffix.
    - [8d2eced] Iterate over kernel versions when generating initramfs.
    - [47b815e] syslinux configuration: use localboot -1 to boot
      from next boot device instead of using 0x80. [Closes: issue957]
    - [f3b335e] Implement -D option to set configuration directory.
      Accordingly adjust fai.conf (don't set variables grml-live is
      setting via cmdline now). Provide new scripts to deploy
      configuration files (/etc/inittab, /etc/locale.gen, /etc/modules).
      Rework and adapt cleanup scripts accordingly. [Closes: issue880]
    - [0bc24c4] Rename scripts/GRMLBASE/10-build-initramfs to
      scripts/GRMLBASE/10-configure-initramfs to reflect current
      state of script's action.
    - [0811b5f] Provide update-usbids as separate script to avoid
      errors on missing update-usbids.
    - [2e0d659] buildd: check for "FAILED with exit code" in logs.
    - [03c92fc] GRMLBASE/37-portmap: do not touch /etc/default/portmap
      if the file does not exist.
    - [e13f6a8] 92-update-freshclam: do not error out on exit code 124
      by freshclam.
    - [3c03961] Update apt preferences: always use live-boot* packages
      from Grml.
    - [a242e27] Redesign sources.list handling. Get rid of
      /etc/grml/fai/apt/sources.list.
    - [dd81475] GRMLBASE scripts: run all fcopy commands in verbose mode.
    - [2d7aecf] Add security.debian.org to sources.list of lenny, squeezy,
      wheezy, stable and testing (thanks to the sources.list redesign).
      Thanks to Christian Hofstaedtler <ch@grml.org>

  * Minor changes:
    - [bdc6192] docs: drop outdated fai-on-etch entry.
    - [befccab] Add README.md for github.
    - [0be5e94] Drop unused GRML_FAI_CONFIG from make-fai-nfsroot.conf.
    - [96e44ee] cleanup script: Drop ion3 stuff, since we do not ship
      ion3 anymore.
    - [00fd941] Drop patches/ directory, patch fai_chroot_update.patch
      is not relevant anymore.
    - [3c52d9d] Drop patches directory from debian/grml-live.install.
    - [50215e9] Provide debian/NEWS entry for release 0.15.0.

  * Software related changes:
    - [be3c863] Drop python2.5 and python2.5-minimal from GRML_FULL.
    - [781e6ce] Drop ntfsprogrs (replaced by ntfs-3g, see #627823).
    - [071f1ec] Drop firmware-ipw2x00 which has been integrated in
      last commit ("Spring cleaning") from GRML_MEDIUM + GRML_FULL.
    - [63e2a03] Add firmware-brcm80211 to GRML_FULL and GRML_MEDIUM.
      [Closes: issue1007]

  [ Ulrich Dangel ]
  * [5c91ce9] Add a script to update the grml-live version string
  * [6ce3dbc] Umount all directories in bailout handler
  * [e91516d] add EXIT trap as set -e may terminate the program
    without a signal
  * [12e281b] Disable set -e as it causes some problems with
    umounting fs.
  * [90b73e6] Don't remove pid files in $target/var/run as it
    is deleted afterwards anyway.

  * Software related changes:
    - [4b65e8d] remove inotail as coreutils supports inotify
      nowadays anyways.
    - [9951735] add libnss-myhostname
    - [44bc5af] remove grml-rebuildfstab [Closes: issue1001]

 -- Michael Prokop <mika@grml.org>  Sun, 26 Jun 2011 20:23:53 +0200

grml-live (0.14.1) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [739beb8] Fix name of SQUASHFS_NAME var in templates
  * [c5b7145] Update shipped grub2 to 1.99-4
  * [1be2433] Update bsd4grml to version 20110521
  * [9f5975e] SW: Add xtightvncviewer to GRML_FULL. [Closes: issue990]
  * [7650b54] SW: Remove powernowd from GRML_FULL,GRML_MEDIUM
  * [93530f2] Revert "isolinux f5: fix layout."
  * [f5dd81b] SW: Replace arping with iputils-arping
  * [4fd4ee2] Sync vi,vim,view,editor alternatives

  [ Michael Prokop ]
  * [be46a0b] isolinux f5: fix layout.
  * [8ba6757] SW: Add virtualbox packages to amd64 flavour.
  * [e738d23] SW: Remove linux-kernel-headers-grml from grml-medium.
  * [2017df2] sources.list handling: match "sid" and "unstable" only as
    whole words.

 -- Michael Prokop <mika@grml.org>  Sun, 29 May 2011 12:09:50 +0200

grml-live (0.14.0) unstable; urgency=low

  [ Michael Prokop ]
  * [900b82d] grml-cheatcodes.txt: update documentation regarding
    fetch= bootoption (supports DNS nowadays).
  * [cb537a8] Revert "Pass 1:0x96 instead of 4:0x96 to bootilnx.mksh
    to use first partition as boot system."
  * [ab97d7b] Bump Standards-Version to 3.9.2.
  * [bebbbad] docs: fix wording ("allows one to"), thanks lintian.
  * [3ba06da] Adjust lintian overrides for new lintian and policy.
  * [6f9a4ab] initramfs-tools: use xz with -8 and --check=crc32.
  * Software related changes:
    - [2113bc5] remove docbook-utils again (pulling in luatex + more).
    - [a67a5ab] remove darcs from GRML_FULL (too large).
    - [230f7fc] remove c3270 from GRML_FULL (ENOSPACE).

  [ Christian Hofstaedtler ]
  * [d62a6be] document dns= boot option
  * [e910ecb] document ip= boot option
  * [14b6242] work around udev's "cosmetic warnings"
  * [5f1adca] rebuild mtab during boot
  * [e1b5d40] arrange /run like on a normal system
  * [779971e] SW: add firmware-realtek to GRML_FULL,GRML_MEDIUM
  * [5de2fe3] SW: re-add ratpoison to GRML_FULL

 -- Michael Prokop <mika@grml.org>  Wed, 11 May 2011 23:17:28 +0200

grml-live (0.13.3) unstable; urgency=low

  The "cleanup before marrying" release.

  [ Michael Prokop ]
  * Bugfixes / changes / new features:
    - [5a8f565] scripts/release_helper.sh: also build Packages.gz file for
      http usage in sources.list.
    - [9dd04ba] scripts/release_helper.sh: disable apt-listchanges and
      apt-listbugs.
    - [261d88e] modprobe.d/loop-part.conf: add max_loop=32.
    - [aac340b] Pass 1:0x96 instead of 4:0x96 to bootilnx.mksh to use
      first partition as boot system. - thanks to Thorsten Glaser
    - [55dde69] Addon: Replace gPXE with iPXE (see Debian BTS #474034).
    - [346b946] Support wheezy as suite inside fai/apt/sources.list.
    - [95f3494] GRMLBASE/01-packages: fix path to logfile for
      packages.list.

  * buildd related changes:
    - [cfa2c50] buildd: support IGNORE class to ignore requests to install
      software packages from other classes.
    - [d88753b] buildd: follow symlinks to archive and dump the log files
      they point to.

  * Software related chanages:
    - [3902afc] Add partimage to GRML_MEDIUM and GRML_SMALL.
      [Closes: issue972] - thanks to neXyon for reporting.
    - [782eccc] + [ce0a794] Update software-changes-schedule.txt.
    - [e646663] remove loop-aes-modules-2.6.38-grml[64] and
      speakup-modules-2.6.38-grml[64] from GRML_FULL.
    - [a671278] add rs to GRML_FULL.
    - [a7043e9] remove ekeyd from GRML_FULL (broken, several known issues).
    - [b023489] remove backuppc from GRML_FULL (too big, currently
      uninstallable, not that relevant on live system).
    - [faf3a38] remove irb from GRML_FULL (provided by ruby since squeeze).
    - [ac64887] replace portmap with rpcbind in all Grml flavours.
    - [d17a90f] remove rodc and rdoc1.8 from GRML_FULL (provided by
      ruby since squeeze).
    - [3c4a7ae] remove eieio from GRML_FULL (obsoleted by Emacs 23.2,
      see #617267).
    - [3aee43f] remove gfs-tools + gfs2-tools from GRML_FULL.
    - [9f0aed3] remove noshell from GRML_FULL (transitional to
      non-free titantools).
    - [4f0d06e] remove all xmms2 packages from GRML_FULL.
    - [8a01c70] remove zec from GRML_FULL.
    - [59165cd] remove yatm from GRML_FULL.
    - [5e5e0d4] remove xfaces from GRML_FULL.
    - [965616d] remove weechat* from GRML_FULL.
    - [2cfa836] remove user-setup from GRML_FULL.
    - [3b6256f] remove unrar-free from GRML_FULL.
    - [d96fa97] remove tidy from GRML_FULL.
    - [c041899] remove tetradraw from GRML_FULL.
    - [af79834] remove csstidy from GRML_FULL (too unrelevant).
    - [141c5d3] remove sp from GRML_FULL (too unrelevant).
    - [46fc19e] remove openjade from GRML_FULL (too unrelevant).
    - [3cac8ad] remove sgml-data from GRML_FULL (too unrelevant).
    - [575494b] add docbook-utils to GRML_FULL.
    - [2457691] removed dired (32bit-only, unmaintained in Grml).
    - [ba487c1] remove rc from GRML_FULL.

  [ Ulrich Dangel ]
  * [6aa99b2] SW: Added grml-feedback to GRML_{FULL,MEDIUM,SMALL}.
  * [ddb0378] Enable loopback partitions per default.

  [ Christian Hofstaedtler ]
  * [3c591d6] typo fix in grml-live-remaster man page.
  * [5a34b68] fix squashfs builds with gzip compression.
  * [3604d28] Remove available packages from to-check list.
  * Software related changes:
    - [715ee57] remove spell, spellutils from GRML_FULL.
    - [d3c3b59] remove doxygen from GRML_FULL.
    - [86873e3] remove asn1c from GRML_FULL.
    - [b34bcb4] remove cedet-common from GRML_FULL.
    - [f965ea0] remove ctrlproxy from GRML_FULL.
    - [108c559] remove detachtty from GRML_FULL.
    - [6b628f3] remove muscletools from GRML_FULL.
    - [624a0f0] follow nilfs-tools transition for GRML_FULL.
    - [06acda8] remove orpheus from GRML_FULL.
    - [689dfb3] remove qprof from GRML_FULL.
    - [91398f8] remove prismstumbler from GRML_FULL.
    - [2f94a13] remove pytris from GRML_FULL.
    - [adfe220] remove tn5250 from GRML_FULL.
    - [838302e] remove viewglob from GRML_FULL.
    - [47e47e9] remove xcardii from GRML_FULL.
    - [9624eec] remove opie-client from GRML_FULL.
    - [fbe325d] remove s3switch from GRML_FULL.
    - [b34282b] remove spicctrl from GRML_FULL.
    - [696df8a] remove log2mail from GRML_FULL.
    - [2560a80] remove python2.4 from GRML_FULL.
    - [7728fde] remove sbm from GRML_FULL.
    - [fd90761] remove dog from GRML_FULL.

 -- Michael Prokop <mika@grml.org>  Mon, 09 May 2011 13:53:49 +0200

grml-live (0.13.2) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [82e7ad3] fix buildd header (no more unoldstable!)

  [ Michael Prokop ]
  * Bunch of buildd improvements:
    - [f96dfbf] Add support for wheezy, drop lenny (being oldstable
      nowadays). [Closes: issue962]
    - [aaa0017] Rename HEADER.html to index.html, as being
      used on daily.grml.org.
    - [2a5e5e6] Update index.html file.
    - [a08d1d1] Finalize sha1sum support.
    - [b4f406a] Support setting variables through grml-buildd.conf
      in working directory, support $STORAGE_ADMIN instead of hard coded
      mail address for storage host.
    - [79b6032] Fix suite information for wheezy links.
    - [cc7e99d] cronjob: upload and remove ISOs after each grml-flavour.
    - [4d1178f] Use mutt instead of nail again (plus further improvement
      in [79e4473d]).
  * scripts/release_helper.sh improvements for autobuilds:
    - provide autobuild install instructions in official
      grml-live documentation
    - support sudo [c6bcaeb]
    - remove leftover files and directories from grml-live.build-area
      to avoid pollution [307773c] [d0a25f7]
    - provide git log in debian/changelog [83ef159] [833dd6d]

 -- Michael Prokop <mika@grml.org>  Fri, 18 Mar 2011 14:19:08 +0100

grml-live (0.13.1) unstable; urgency=low

  [ Martin Scharm ]
  * [1c721a6] grml-cheatcodes.txt: added autoconfig boot parameter

  [ Christian Hofstaedtler ]
  * [4bc574e] Assume 'squeeze' as default SUITE.
  * [27a6aab] buildd: squeeze has been promoted to stable, adapt texts
  * [0c3993f] buildd: show sha1sum files instead of md5

  [ Michael Prokop ]
  * [66ce999] Update for kernel 2.6.38-grml[64], featuring LZMA/XZ
    support - requiring squashfs-tools >=4.2-1.
  * [e88fb8e] Depend on squashfs-tools (>= 1:4.2-1~grml00).
  * [1c0980c] scripts/release_helper.sh: manually build debian/changelog
    during autobuilds, improve branch handling

 -- Michael Prokop <mika@grml.org>  Thu, 17 Mar 2011 23:08:20 +0100

grml-live (0.12.6) unstable; urgency=low

  [ Michael Prokop ]
  * [312d86a] templates/GRML/grml-cheatcodes.txt: update debian2hd
    bootoption documentation; replace all references to /dev/hdx with
    /dev/sdx
  * [22e838c] templates/GRML/grml-cheatcodes.txt: update usage example
    cmdline for debian2hd (thanks, Christian).
  * [0d5dccc] Add software-changes-schedule.txt to handle scheduled
    software additions/removals via git.
  * [66f1c71] grml-cheatcodes.txt: drop setkeycodes (being dropped from
    grml-autconfig).
  * [956db16] docs: add generation of the base tar.gz to the FAQ
  * [32627d5] scripts/release_helper.sh: support autobuild
    infrastructure through AUTOBUILD
  * Software related changes:
    - [58de1cc] Drop postfix-ldap from GRML_FULL.
    - [f3deac4] Drop cfengine2 from GRML_FULL.
    - [23a96e0] Add puppet to GRML_FULL.
    - [c00baf7] Add puppetmaster to GRML_FULL.
    - [285e5c3] Add rdfind to GRML_FULL.
    - [38fad6b] Replace glipper-nognome with clipit.

  [ Ulrich Dangel ]
  * [5f2b199] SW: Add parted to GRML_MEDIUM (Thanks to Jordi Funollet
    for the bug report)

 -- Michael Prokop <mika@grml.org>  Fri, 11 Mar 2011 23:16:57 +0100

grml-live (0.12.5) unstable; urgency=low

  The "new release is coming so >< close" release.

  * [69f74a6] grml-live: Fix typo (Skiping->Skipping).
  * [7468864] SW: Add grub-imageboot to all Grml flavours.
  * [ea8df13] hooks/{instsoft,updatebase}.GRMLBASE: be more careful
    about BUILD_ONLY environment.
  * [1b66676] isolinux/grml.cfg: use vga=791 by default for "disabled
    KMS" boot menu entry.
  * [ebc2594] isolinux/grml.cfg: disable KMS in "Disable Framebuffer"
    boot menu entry.
  * [7883c5f] templates/boot: set nodmraid and grml2hd accordingly, make
    sure "No KMS" and "nofb" are consistent accross bootloaders.
  * [b8a13e3] templates/boot: Use persistent=nofiles as default, as this
    causes less problems by default.
  * [5c896d0] Update templates/GRML/grml-cheatcodes.txt to reflect
    recent development. - thanks to Ulrich Dangel <mru@grml.org> for
    feedback.
  * [894aac9] templates/GRML/grml-cheatcodes.txt: document KMS and add
    URL for Documentation/kernel-parameters.txt.

 -- Michael Prokop <mika@grml.org>  Wed, 29 Dec 2010 01:24:43 +0100

grml-live (0.12.4) unstable; urgency=low

  The "where is all the dirt" release.

  [ Christian Hofstaedtler ]
  * Software related changes:
    - [8b01f6c] Remove wacom-tools from GRML_FULL.
    - [377f9fe] Remove xar from GRML_FULL (Debian RoQA; see #574023).
    - [15d82e2] Remove tra, tss from GRML_FULL.
    - [cce8558] Remove snoopy from GRML_FULL (removed from Debian,
      see #548918).
    - [1b93265] Remove sam from GRML_FULL (orphaned, see #503546).
    - [78eb19a] Remove slat from GRML_FULL (dead upstream, see
      #541373).
    - [9d7b098] Remove shc from GRML_FULL (RoM, see #508109).
    - [a952d6b] Remove sdd from GRML_FULL (RoQA, see #572379).
    - [c9a3214] Move retty to x86-only section.
    - [e2dc668] Remove rain from GRML_FULL (RoQA, see #455002).
    - [e7dcc71] Remove isakmpd from GRML_FULL.
    - [ae7a104] Remove psh from GRML_FULL (RoQA, see #596551).
    - [01c0a56] Remove ras from GRML_FULL (dead upstream, see
      #558672).
    - [99fa5ea] Move pstack to x86-only section.
    - [48c3d54] Remove pcopy from GRML_FULL (dead upstream, see
      #596552).
    - [703e0b6] Remove mp3c from GRML_FULL (uninstallable, very old).
    - [e2ac468] Remove nstx from GRML_FULL (dead upstream, see
      #595988).
    - [c36d74e] Do the mtd-tools -> mtd-utils transition.
    - [cc932b9] Remove mirrordir from GRML_FULL (RoM; see #555130).
    - [d8fa87a] Move bsign to x86-only section.
    - [845f37b] Remove cabber from GRML_FULL (RoQA, see #553902).
    - [3c65350] Remove jail from GRML_FULL (RoM, see #448725).

  [ Ulrich Dangel ]
  * [1c74730] Run /etc/init.d/networking by default.

  [ Michael Prokop ]
  * [d61b3b8] Drop unnecessary policy-rc.d handler from
    hooks/updatebase.GRMLBASE and scripts/GRMLBASE/98-clean-chroot -
    grml-policy-rc.d does it for us.
  * [07e33ed] grml-cheatcodes.txt: Document nonetworking bootoption.
  * Software related changes:
    - [ee607a4] Add tmux to GRML_FULL. - thanks to Marek Straka
    - [b4b0e5a] Add grml-rescueboot to all grml flavours.
    - [af3b852] Add fai-setup-storage to GRML_FULL.
    - [567872d] Remove policyrcd-script-zg2 from GRML_FULL.
    - [8151e7f] Remove zsh-static from GRML_FULL.
    - [27e4380] Remove bash-static from GRML_FULL.

 -- Michael Prokop <mika@grml.org>  Mon, 27 Dec 2010 17:40:40 +0100

grml-live (0.12.3) unstable; urgency=low

  The "let's clean the floor" release.

  * Bugfix:
    - [7bbfd24] Rework apt.conf handling in instsoft/updatebase (provide
      /etc/apt/apt.conf.d/15grml-live), drop /etc/kernel-img.conf support.
      The reworked apt.conf handling addresses the issue that with usage of
      BASE.tgz there might result packages from recommends in the ISO (like
      for example iso-codes via python-apt).

  * Package list changes:
    - [5476dee] replace perf with linux-tools-2.6.36 package in GRMLBASE.
    - [ae6845f] Update package list in NFSROOT (grub->grub-pc, live-
      initramfs->live-boot, drop cvs/subversion/jove/subversion, disable
      cfengine2/libapt-pkg-perl).

  * Get rid of window managers from GRML_FULL that are either too large,
    unconfigured, unused,... - see issue897 for the discussion.
    [Closes: issue897]
    - [a4907de] Remove fvwm
    - [a68ff37] Remove ratpoison and ratmenu
    - [c44b1e3] Remove dwm and dwm-tools
    - [5eb0e90] Remove twm
    - [0a17b3c] Remove w9wm
    - [69ca260] Remove evilwm
    - [9df6db8] Remove jwm
    - [d077db1] Remove pekwm

  * Removals from GRML_FULL package list:
    - [b88d7b5] Remove ysm (orphaned, see #595398).
    - [50bc2fe] Remove emcast (orphaned, see #594619).
    - [0040aec] Remove cdrbq (orphaned, see #602587).
    - [0bcc921] Remove wyrd (not relevant enough).
    - [372cd2d] Remove xaw3dg (not relevant enough).
    - [07d1e00] Remove yaird (initramfs-tools is the
      recommended and supported i-t generator).
    - [f8990f6] Remove pdns* packages (except for pdns-recursor).
    - [e601ea1] Remove nedit (too large for too many already
      existing editors).
    - [c402efd] Remove mrxvt[-common] from GRML_FULL.
    - [13c5b0b] Remove zlib1g (library -> rdepends).
    - [67cfcf5] Remove gq (unmaintained/dead, see #593165).
    - [bed9733] Remove cdda2wav + cdrecord from GRML_FULL (unavailable).
    - [57280bf] Remove geresh (dead/unmaintained, see #595478).
    - [e240523] Remove dietlibc (dietlibc-dev is the relevant package).
    - [09ec6b0] Remove dumputils (orphaned upstream, see #466870).
    - [d8e5c2d] Remove cbrowser (dead upstream, see #595987).
    - [2a296ca] Remove dpkg-multicd (unavailable, merged into
      dselect, see #557063).
    - [a4b7699] Remove dpkg-ftp (unavailable, merged into
      dselect, see #557062).
    - [6537f9e] Remove tcl8.3 (unavailable, tcl8.4 is there).
    - [ed0a6ab] Remove jikes (orphaned, see #508366).
    - [72eff19] Remove metamail (orphaned, see #274451).
    - [ebfec95] Remove mkisofs (unavailable).
    - [847ba32] Remove python-celementtree + python-elementtree
      (unavailable + only useful with python < 2.5, see #564377).
    - [547476e] Remove realtime-lsm (deprecated, see #499245).
    - [266c05b] Remove nictools-nopci (i386-only).
    - [73bfef1] Remove star (unavailable).
    - [bbfde64] Remove starttls (dead, see #587264).
    - [4d62e55] Remove swapd (dead, see #595091).
    - [a20335f] Remove webcpp (abandoned upstream, see #547528).
    - [6ca58fa] Remove xvncviewer (unavailable).
    - [2fc6daf] Move zfs-fuse from Grml packages to Debian packages.
    - [a317c5c] Remove speechd-up (i386-only, espeakup replaces it).
    - [d9d3706] Remove abs-guide (not important enough)
    - [c4c9c35] Remove uswsusp (has issues in older Debian
      releases, should not be too relevant for Grml).
    - [2e7c1fb] Remove ike-scan (4MB is too much)
    - [a01048a] Remove hasciicam (out-of-scope).
    - [6b5262f] Remove gocr (out-of-scope).
    - [33578dc] Remove hal (out-of-scope).
    - [962a5cb] Remove hal-info (out-of-scope).
    - [7a1b346] Remove fusesmb (out-of-scope).
    - [ca8f465] Remove icecast2 (out-of-scope).
    - [05cfbd2] Remove moosic (out-of-scope).
    - [4774440] Remove mp3blaster (out-of-scope).
    - [5baa139] Remove mplayer-skin-blue (out-of-scope).
    - [3806828] Remove lkl (orphaned, see #553307).

 -- Michael Prokop <mika@grml.org>  Wed, 15 Dec 2010 16:11:27 +0100

grml-live (0.12.2) unstable; urgency=low

  [ Michael Prokop ]
  * [c8e2121] 90-update-alternatives: make sure to run the update-
    alternatives listing for x-window-manager inside the target chroot.
  * [032da01] SW: add console-data and kbd to GRMLBASE.
    [Closes: issue944] - thanks to Marc Haber for reporting and to
    Christian Hofstaedtler for the fix.
  * [179d5ea] Make sure hybrid mode works for the grub boot method out-
    of-the-box too - thanks to Thorsten Glaser.

  [ Thorsten Glaser ]
  * [7741716] support BOOT_METHOD=grub2 (El Torito boot – Manifold boot
    already did) [Closes: issue889]

 -- Michael Prokop <mika@grml.org>  Mon, 13 Dec 2010 14:22:22 +0100

grml-live (0.12.1) unstable; urgency=low

  [ Michael Prokop ]
  * [439b54c] grml-live: drop useless of of ls(1).
  * [424c8ef] SW: switch from live-initramfs to live-boot in GRMLBASE.

  [ Christian Hofstaedtler ]
  * [5bc75ae] radeon-kms: overwrite file at the correct time
    [Closes: issue935]
  * [e1e1975] remove fcopy backups all across /etc
  * [26c2731] tag all files installed by grml-live
  * [d5677ef] remove obsolete live.conf

 -- Michael Prokop <mika@grml.org>  Tue, 07 Dec 2010 12:51:20 +0100

grml-live (0.12.0) unstable; urgency=low

  The "give back - get back 2.6.36-grml[64]" Release.

  [ Ulrich Dangel ]
  * [b6a2954] Check version of grml-live against changelog before
    building
  * [e4296db] Overwrite the radeon-kms settings [Closes: issue935]

  [ Michael Prokop ]
  * [8d75e30] config/scripts/GRMLBASE/21-usersetup: add grml user to
    group netdev
  * [822c092] docs: Update FAI-URL references regarding its new home
    (http://fai-project.org/).
  * [bfe370b + 8f57397] Update to bsd4grml v20101001 (thanks to
    Thorsten Glaser).
  * [df6303e] scripts/release_helper.sh: cancel if editing changelog
    returned error, provide cmdline options to git-buildpackage cmd.
  * Software related changes:
    - [b25619d] Drop unavailable fnord package from all grml flavours
      (see #596044).
    - [690257e] Drop libpam* and pamusb-tools packages.
      [Closes: issue920]
    - [704c046] Drop figlet and toilet-fonts (which is a dependency of
      toilet) [Closes: issue915]
    - [29517fe] Drop i386-only-software [Closes: issue923] - thanks to
      Christian Hofstaedtler <ch@grml.org>
    - [9d2d73a] Drop deprecated kqemu-common package from GRML_FULL.
  * [5d4cdf0] Provide /etc/runlevel.conf via grml-live using fcopy and
    its class concept
  * [3e5fb23] Further /etc/runlevel.conf related fixes.
  * [25ea895] Do not set ERROR=2 twice. - thanks to Christian
    Hofstaedtler <ch@grml.org>
  * [da2a27c] Proberly quote $CURRENT_DIR. - thanks to Andreas Marschke
  * [74d9301] support for kernel 2.6.36-grml[64], drop backwards
    compatibility support, adjust depends, update docs
  * [c12baa8] docs: Document how to revert the manifold feature.
  * [f5434b2] Drop qemu and vmware bootoptions as they are not necessary
    any longer.
  * [09667d4] templates/boot/grub/grub.cfg: drop insmod part_{msdos,gpt}
    as it breaks booting - thanks to Thorsten Glaser <tg@mirbsd.org>
  * [c686c84] Add script-not-executable ./usr/share/grml-
    live/scripts/bootilnx.mksh to debian/overrides.grml-live.
  * [594972d] Provide nokms bootoption and according menus in the
    graphical bootmenu to disable Kernel Mode-Setting.

  [ Bernd Arnold ]
  * [f4d8e72] Fix typo in grml-cheatcodes.

  [ Thorsten Glaser ]
  * [58a29c5] Update to bsd4grml version 20100815.
  * [7ed3014 + a0ae611 + d222479] Manifold supporting and using
    ISOLINUX now.

  [ Christian Hofstaedtler ]
  * Software related changes:
    - [ba2ebc1] remove packages with unclear live-cd usage case
    - [07409bb] move bibcursed to LATEX class
    - [2794ab4] replace ispell with hunspell
    - [046d13d] drop Essential/Required packages from GRMLBASE
    - [fb91169] remove mgetty
    - [bfd1dd6] replace console-tools with kbd
    - [ed73ede] remove grml-etc dependencies
    - [d4c848e] don't try to install i386-only software on amd64
    - [9034de9] remove no longer available software
    - [c78ef28] remove fvwm-crystal-minimal
  * [535a90f] remove further backup files in /etc
  * [1455f91] fcopy motd instead of relying on grml-etc plus weirdness
  * [ad7a862] allow all users to start X server [Closes: issue926]
  * [987dd5d] grub: memdisk is a "linux16"-style kernel
    [Closes: issue937]
  * [8b54550] update grub to 1.98+20100804-8 [Closes: issue938]

 -- Michael Prokop <mika@grml.org>  Thu, 02 Dec 2010 13:34:43 +0100

grml-live (0.11.0) unstable; urgency=low

  The "kernel 2.6.35-grml[64] party" Release.

  * This release provides support for kernel 2.6.35-grml[64] through
    updated squashfs binary and options handling. To build live
    systems featuring 2.6.35-grml[64] the squashfs-lzma-tools4
    package is required. Further details are available in the
    updated docs. [8be200e] [29cf238] [8cf1f25] [76e8d3a]
  * [a99823d] Add SQUASHFS_OPTIONS to /etc/grml/grml-live.conf and
    update SQUASHFS_BINARY comment.
  * [47b72a3] hooks/updatebase.GRMLBASE: make sure /proc, /sys and /dev
    are available on update
  * [fc88014] Update TODO file, reflecting recent development.
  * [d38f878] Add scripts/release_helper.sh.
  * Updates in templates/boot/:
    - [050f4d2] Update pci.ids to version 2010.08.27.
    - [24960b7] Update gpxe.lkrn to version 1.0.1.
    - [d980fe7] Update hdt.c32 to version 0.3.6.1.
    - [d635175] Update memtest to memtest86+ version 4.10.
    - [ab2ca8f] Update memdisk from 3.83 to 4.02 debian-20100803.
    - [21b19cb] Update chain.c32 and menu.c32 to Debian's syslinux
                version 2:4.02+dfsg-3.
    - [f6065cb] Update isolinux.bin and vesamenu.c32 to 4.02
                debian-20100803.
    - [929662f] Update templates/boot/grub to grub version
                1.98+20100804-4.
    - [89c9f37] Update lintian overrides file to reflect current
                updates in templates/boot/grub.

 -- Michael Prokop <mika@grml.org>  Sat, 04 Sep 2010 15:47:32 +0200

grml-live (0.10.1) unstable; urgency=low

  [ Ulrich Dangel ]
  * [916808e] Mention random hostname support in documentation.

  [ Michael Prokop ]
  * [9f059fa] Bump version number in grml-live script.
    Thanks for reporting, Tong Sun. [Closes: issue888]
  * [4b61133] docs: mention that random hostname is supported only in
    recent versions.

 -- Michael Prokop <mika@grml.org>  Tue, 03 Aug 2010 23:32:14 -0400

grml-live (0.10.0) unstable; urgency=low

  The "DebConf10 in New York" Release.
  * Software related changes:
    - [6783097] SW: Drop xserver-xorg-video-amd from GRML_MEDIUM +
      GRML_FULL (transitional package).
    - [2f36927] SW: Use xserver-xorg-video-all + xserver-xorg-input-all
      in GRML_FULL, GRML_MEDIUM + XORG. - thanks to Tong Sun
      <suntong@cpan.org> [Closes: issue879]
    - [212a7a8] Add tasksel and taskel-data to exclude option in
      FAI_DEBOOTSTRAP_OPTS. - thanks to Tong Sun <suntong@cpan.org>
      [Closes: issue886]

  * Documentation related changes:
    - [ab3c3be] docs: add squashfs-tools to default apt-get list for
      deployments on Debian.
    - [7fd12d9] docs: clarify usage of base.tgz
    - [f8d3ccd] docs: mention FOOBAR class in usage example via
      /etc/grml/grml-live.local - thanks to Tong Sun <suntong@cpan.org>
    - [9de56d9] grml-cheatcodes.txt: document utc + localtime bootoptions.

  * Bugfixes, Features,...:
    - [4b2e863] Make all shell scripts using /bin/bash instead
      /bin/sh to be able to FAI's environment - thanks to thermoman
    - [6eebff8] Make sure that output directory variables aren't
      overridden by $OUTPUT. [Closes: issue885]
    - [807994a] buildd/functions.sh: remove attachment in bailout
      function.
    - [00825cf] Bump Standards-Version to 3.9.1.
    - [ace32ae] Fix typo in several files, it's "overridden"
      (thanks, lintian).

 -- Michael Prokop <mika@grml.org>  Mon, 02 Aug 2010 00:21:34 -0400

grml-live (0.9.43) unstable; urgency=low

  * [6136081] docs/grml-live.txt: clarify policy for class names.
  * [7c56f73] SW: (Re)add aufs-tools to GRMLBASE.
  * [a8257bc] Update isolinux files to ISOLINUX 4.01 debian-20100712.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Jul 2010 12:38:17 +0200

grml-live (0.9.42) unstable; urgency=low

  * [8e0d3bd] Update isolinux.bin to "ISOLINUX 4.00 debian-20100628".
  * [8ef26a3] Bump grml-live version string.
  * [ca2c8a5] Update hdt.c32 from version 0.3.4 to 0.3.6.
  * [79e718c] grml_cleanup_chroot: drop all [u]mount commands.
  * [caa84f1] 15-initsetup: improve check for empty GRML_NAME variable
    to make it compatible with set -u.
  * [125b443] instsoft.GRMLBASE: warn if apt-get update fails but try to
    continue.

 -- Michael Prokop <mika@grml.org>  Fri, 09 Jul 2010 14:41:03 +0200

grml-live (0.9.41) unstable; urgency=low

  [ Ulrich Dangel ]
  * [f485d22] Add loopback.cfg.
  * [a72dab8] Improved documentation for bootid bootoption.

  [ Michael Stapelberg ]
  * [71f9c13] SW: Add i3-wm to GRML_FULL. [Closes: issue876]

  [ Michael Prokop ]
  * [8568d83] grml-cheatcodes.txt: document fetch= bootoption + add
    pointers to initramfs related documentation.
  * [07ca6d5] update templates/boot/grub/ to grub version 1.98+20100617-
    1, extend grub.cfg, update scripts/create-grub-dir.sh
  * Debian packaging:
    - [8a0e08a] Set Debian source format to 3.0 (native).
    - [e84d056] Bump Standards-Version to 3.9.0.
    - [3ae2043] Replace Depends of grml-live-buildd on nail with
      heirloom-mailx.
  * SW-related changes:
    - [dfecfb0] Add uuid-runtime to GRMLBASE,
                thanks Adriana Teixera.
    - [1898358] Add gddrescue to GRML_MEDIUM,
                thanks Antonio Diaz Diaz.
    - [4df9949] Add socat to GRML_MEDIUM.
    - [da02706] Add grml-paste to GRML_MEDIUM + GRML_SMALL.
    - [8ad9d2a] Add ekeyd to GRML_FULL,
                thanks Peter Palfrader. [Closes: issue873]

 -- Michael Prokop <mika@grml.org>  Wed, 30 Jun 2010 12:15:00 +0200

grml-live (0.9.40) unstable; urgency=low

  [ Michael Prokop ]
  * Software related changes:
    - Add perf to GRML_FULL.
    - Add lxc to GRML_FULL.
    - Add hwloc to GRML_FULL.
    - Drop aria2 from GRML_FULL (lack of space).
    - Drop bluez-audio (lack of space, requires ~17MB incl.
      dependencies)
  * Drop wrongly merged failsafe bootoptions.
  * Update grml-cheatcodes.txt (e.g. drop home= bootoption
    as it has been deprecated recently).
  * Update bsd4grml to version 20100328 (thanks, Thorsten).

  [ Ulrich Dangel ]
  * Fix Boot OS of first partition entry for grub. Thanks to Jordan
    Uggla for
  * Support automatic findiso command and fixed gfxpayload handling.
    Thanks to Jordan Uggla.

 -- Michael Prokop <mika@grml.org>  Tue, 06 Apr 2010 10:45:26 +0200

grml-live (0.9.39) unstable; urgency=low

  * Add support for /boot/isolinux/submenu*.cfg files.
  * Drop bootfrom=removable from default bootoptions (we've bootid
    and scan removable devices first nowadays).
  * Grub2 related changes:
    - Add scripts/create-grub-dir.sh to build templates/boot/grub/
    - Add font file templates/boot/grub/ascii.pf2
    - Update templates/boot/grub/ based on grub-pc_1.98-1_i386.deb
    - grub.cfg:
      ~ add additional menu_color_* entries if loading background image
      ~ loadfont /boot/grub/ascii.pf2
      ~ increase timeout to 20 seconds
      ~ replace terminal command with terminal_output
      ~ use gfxpayload=1024x768 instead of vga=...
  * Some minor lintian cleanups.
  * Software related changes:
    - Add mksh to GRML_SMALL and GRML_MEDIUM to allow switching to mksh for
      `minimal-shell'.
    - Add numactl to GRML_FULL (thanks, gebi).
    - Drop ctapi-cyberjack.
    - Drop sl-modem-daemon.
    - Update to grml kernel 2.6.33.

 -- Michael Prokop <mika@grml.org>  Thu, 11 Mar 2010 15:12:21 +0100

grml-live (0.9.38) unstable; urgency=low

  * Move ia32-libs from Depends to Recommends so installation
    on i386 works again.

 -- Michael Prokop <mika@grml.org>  Mon, 01 Mar 2010 02:16:08 +0100

grml-live (0.9.37) unstable; urgency=low

  * Drop noquick bootoption from serial console boot entry.
  * Add grml as default to default.cfg. [Closes: issue761]
  * Software related changes:
    - Add nginx. Thanks al4711. [Closes: issue704]
    - Add usb-modeswitch to GRML_FULL. [Closes: issue424]
    - Drop asleap from GRML_FULL.
    - Drop ded from GRLM_FULL.
    - Drop tlswrap package from GRML_FULL.
    - Move udev from GRML_* to GRMLBASE.

 -- Michael Prokop <mika@grml.org>  Sun, 28 Feb 2010 00:03:31 +0100

grml-live (0.9.36) unstable; urgency=low

  * scripts/GRMLBASE/39-modprobe: Make sure all modprobe configuration
    files use .conf as filename suffix. [Closes: issue647]
  * Disable PDiffs by default via /etc/apt/apt.conf.d/20pdiffs.
  * 90-update-alternatives: check for symlinks of iceweasel and
    mount.ntfs-3g and force creation of /sbin/mount.ntfs symlink.
  * Rework addons handling (make sure to install boot addons independent
    from bsd4grml which might be disabled).
  * Updated boot manager teamplates (simplify syslinux.cfg,
    update failsafe bootoption, add GPXE to grub.cf, drop duplicate
    boot=live from grub.cfg)
  * Do not bailout if reading dpkg.list fails, instead assume user
    is running a dirty build and display a warning message.
  * Check for precense of grub directory and files in templates
    that we are adjusting on-the-fly and skip non-existing ones
    so customisation of templates is easier.
  * Drop debug from bootoptions and use debug=vc only. 'debug' without
    arguments avoids displaying the executed code in the initramfs
    which is something you usually want to have enabled by default
    when debugging a system.
  * Fix label name for ssh bootoption.
  * Add persistency feature to boot menu. [Closes: issue773]
  * buildd/link_latest.sh: make sure to use according filename in
    md5sum file of *_latest* ISOs. [Closes: issue814]
  * Software related changes:
    - Add grml-quickconfig to GRMLBASE.
    - Add grml-quickconfig-standard to GRML_* classes.
    - Add xz-utils to GRML_FULL.
    - Add zerofree to GRML_MEDIUM and GRML_FULL.
    - Drop 3ware-cli-binary (license unclear).
    - Drop rar from GRML_FULL (license).
    - Drop xlockmore from GRML_FULL (using vlock instead in grml-lock).
    - Move grml-docs from GRMLBASE to GRML_{SMALL,MEDIUM,FULL} to be
      able to customize it easier.

 -- Michael Prokop <mika@grml.org>  Fri, 26 Feb 2010 21:32:25 +0100

grml-live (0.9.35) unstable; urgency=low

  * New features / major changes:
    - Moved /etc/grml/fai/files to /etc/grml/fai/config/files (and
      /etc/grml/fai/live-initramfs to /etc/grml/fai/config/). This is
      an important step to use the config space and class concept of
      FAI in a more decent and cleaner way. Further details in NEWS
      file. Thanks to Henning Sprang for the initial hint.
    - Provide buildd as separate Debian package grml-live-buildd.
    - Store package list on ISO. [Closes: issue779] [Closes: issue749]
    - Support conf/bootid.txt and use bootoption bootfrom=removable by
      default.
    - Support NO_BOOTID to disable the new bootid feature.
    - Support DEFAULT_BOOTOPTIONS via configuration file.
  * Bugfixes / minor changes:
    - buildd: use nail instead of mutt for sending mails as recent
      versions of mutt introduced a major breakage (see #539276).
    - scripts/GRMLBASE/38-udev: check for presence of config file.
    - Ignore $EXIT_ON_MISSING_PACKAGES if running a dirty build
      through -B.
    - Make sure to use sources.list of grml-live, even on updates
      through -u option. [Closes: issue803]
  * Software related changes:
    - Drop all packages from GRML_* classes that are defined in
      GRMLBASE already.
    - Drop aufs-tools from GRML_MEDIUM.
    - Drop lvm2 from GRML_* classes at it is in GRMLBASE.
    - Drop mdadm from GRML_* classes as it is in GRMLBASE.
    - Move diffutils + iw from GRMLBASE to GRML_* classes.
    - Move mgetty from GRML_* classes to GRMLBASE.
    - Move module-init-tools from GRML_* classes to GRMLBASE.
  * Debian packaging: Bump Standards-Version to 3.8.4.

 -- Michael Prokop <mika@grml.org>  Sat, 13 Feb 2010 01:08:57 +0100

grml-live (0.9.34) unstable; urgency=low

  * Add scripts/GRMLBASE/38-udev to get rid of automatically generated
    udev rules file.
  * Fix architecture option in error message (-a instead of -i).
  * Add ia32-libs [amd64] to Depends to make sure building i386 on amd64
    works OOTB.
  * Use $TEMPLATE_DIRECTORY for checking for precense of bsd4grml.
  * Drop keyword package from squashfs binary exit code.
  * Update docs regarding squashfs-tools 1:4.0-1.
  * Support for logging to database via grml-live-db.
    Thanks to formorer for his work on dpkg-to-db.
  * Changed logic of ZERO_LOGFILE to PRESERVE_LOGFILE (though integrated
    a backwared compatibility layer so existing installations still continue
    to work) and clear logs after prompting for execution.

  * Software related changes:
    - Add acpi-support-base to GRML_SMALL [Closes: issue791]
    - Add netsniff-ng to GRML_FULL (thanks Daniel Borkmann).
    - Add ufsutils to GRML{SMALL,MEDIUM,FULL} [thanks, chaitat].
    - Drop aufs-tools from GRML_FULL (deprecated, see #555638).
    - Drop firescope from GRML_FULL - it is unmaintained upstream.
    - Drop package config file GRML_FORENSIC as it is developed and
      maintained as part of Grml-Forensic nowadays.
    - Move scsiadd from GRML_* to GRMLBASE.
    - Remove dynamic-disk from GRML_FULL (unmaintained upstream).
    - Remove lame from GRML_FULL (not available from official Debian pool).
    - Remove salvage-ntfs from GRML_FULL (unmaintained upstream).

 -- Michael Prokop <mika@grml.org>  Sat, 30 Jan 2010 19:56:32 +0100

grml-live (0.9.33) unstable; urgency=low

  [ Michael Prokop ]
  * Switch order of mirror configuration in example config.
    Thanks for the hint, formorer.
  * Write current date to last output line of grml-live so the user
    knows how "old" his build is while sitting at the shell prompt.
  * Integrate /etc/grml/fai/config/scripts/GRMLBASE/01-packages
    as package installation validator.
  * Update sources.list handling:
    - Disable deb-src by default in sources.list. People usually
      won't need this and the ones that want it know how to enable
      it. Therefore let's save traffic on the mirrors.
    - Note usage of GeoIP-selected mirrors.
    - Add commented examples for DE/AT mirrors.
    Thanks for the suggestions to Sedat Dilek. [Closes: issue756]
  * Use /sbin/mount.ntfs-3g as default handler for ntfs. Thanks
    for bringing this issue up, Richard Hartmann.
  * templates/boot/grub/menu.lst: drop bootoption lang=us, we
    specify the default within grml-autoconfig nowadays.
  * Support configuration variable EXIT_ON_MISSING_PACKAGES to exit
    with returncode != 0 if a requested package isn't available on the
    resulting ISO.
  * Drop memtest86+ from Depends as it's shipped by grml-live-addons
    nowadays (see issue717). Instead be more verbose in the warning
    message if neither the one from grml-live-addons nor memtest86+
    can be found.
  * Software related changes:
    - Main GRML* classes:
      + add grml-udev-config (we use Debian's udev from now on and
        provide our own udev stuff through grml-udev-config)
      + drop grml-scanpartitions
      + move all grml-* packages that used to be part of all Grml
        flavours to GRMLBASE and drop them from the flavour
        specific configuration instead
    - GRML_FULL:
      + Add fsarchiver
      + Add gdisk
      + Add infiniband-diags
      + Add iscsitarget-module-2.6.31-grml64
      + Add mbuffer
      + Add modem-cmd
      + Add nbd-server + nbd-client (thanks to Xuân Baldauf).
      + Drop dvi2tty (so we don't pull tex-common and texlive-binaries
        into the system).
      + Drop lomoco (bad state, unnecessary)
    - GRML_MEDIUM:
      + Add iptraf (thanks, thermoman)
      + Drop (unavailable) at76-usb-modules-2.6.31-grml
    - Mixed:
      + Add kexec-tools to GRML_SMALL + GRML_MEDIUM (thanks,
        Christoph Biedl)
      + Add lcrack to GRML_FORENSIC
      + Drop fakechroot from GRML_FULL + GRML_FORENSIC (the package is
        in a bad shape since several months)
      + Drop grml-mercurial-utils from GRML_FULL and GRML_MEDIUM as
        we use git nowadays

  [ Thorsten Glaser ]
  * Update MirOS bsd4grml to 20091226.

 -- Michael Prokop <mika@grml.org>  Wed, 30 Dec 2009 02:34:38 +0100

grml-live (0.9.32) unstable; urgency=low

  * Update docs to reflect current FAI_CONFIG_* setup.
  * Set FAI_CONFIGDIR=/etc/grml/fai/config in /etc/grml/fai/fai.conf
    so FAI versions older than 3.3 still work. Thanks for the bugreport,
    Christian Hofstaedtler.

 -- Michael Prokop <mika@grml.org>  Sun, 08 Nov 2009 11:50:46 +0100

grml-live (0.9.31) unstable; urgency=low

  [ Michael Prokop ]
  * Fix the 'Memtest86+ bootentry doesn't work within GRUB2' issue.
  * Update main fai config (update to what's shipped by FAI 3.3):
    * Move 'FAI_CONFIGDIR=/etc/grml/fai/config' from fai.conf
      to make-fai-nfsroot.conf and disable it by default as
      only FAI_CONFIG_SRC is relevant nowadays.
    * Disable irrelevant 'FAI=/etc/grml/fai/config' in fai.conf by
      default.
    * Drop dhcp-client from exclude option in $FAI_DEBOOTSTRAP_OPTS
      in file make-fai-nfsroot.conf (sync with FAI upstram).

  [ Thorsten Glaser ]
  * Update bootgrub.mksh to 20091104.
  * Change manifold-boot ISO patch logic slightly to work better on
    certain HP machines. [Closes: issue757]

 -- Michael Prokop <mika@grml.org>  Wed, 04 Nov 2009 20:30:30 +0100

grml-live (0.9.30) unstable; urgency=low

  [ Michael Prokop ]
  * Support new option '-d <date>' to use specified date as build date
    information on the ISO instead of the default.
  * Fix posix violation in grml-live-remaster.
  * Add jfsutils to GRML_MEDIUM and GRML_SMALL.
  * Apply patch by Christian Hofstaedtler <ch+git@zeha.at> (thanks!):
    Ensure /etc/mtab is always present. Newer debootstrap versions
    no longer create /etc/mtab, so we need to provide our own.
  * config/hooks/instsoft.GRMLBASE:
    - force installation of file-rc using aptitude's
      Aptitude::ProblemResolver::Keep-All-Tier option.
    - drop insserv package.
  * Replaced 'FAI_CONFIG_SRC=file:///etc/grml/fai' with
    'FAI_CONFIG_SRC=file:///etc/grml/fai/config' so it works with
    fai >=3.2.23.

  [ Ulrich Dangel ]
  * Remove denglish phrase from help file. Thanks to Andreas Gredler.
    [Closes: issue758]

 -- Michael Prokop <mika@grml.org>  Sun, 01 Nov 2009 17:48:21 +0100

grml-live (0.9.29) unstable; urgency=low

  [ Ulrich Dangel ]
  * Renamed stage2_eltorito to stage2 to get rid of name mangling
    problems with fat.

  [ Michael Prokop ]
  * Adjust stage2{,_eltorito} code in grml-live.

 -- Michael Prokop <mika@grml.org>  Thu, 29 Oct 2009 01:17:59 +0100

grml-live (0.9.28) unstable; urgency=low

  * Drop grub from all classes and add grub-pc to GRMLBASE.
  * Add guymager to GRML_FULL.
  * Add gcc to GRML_MEDIUM.
  * Adjust grub variable in *all* /boot/isolinux/*.cfg files.
  * Update memtest86+ binary to 4.00-2.
  * Update isolinux/syslinux files to version 2:3.83+dfsg-1:
    - templates/boot/addons/chain.c32
    - templates/boot/addons/hdt.c32
    - templates/boot/addons/memdisk
    - templates/boot/addons/menu.c32
    - templates/boot/isolinux/ifcpu64.c32
    - templates/boot/isolinux/isolinux.bin
    - templates/boot/isolinux/vesamenu.c32
  * Update templates/boot/addons/pci.ids to version 2009.10.22.
  * Adjust label text for grub1 boot entry.
  * Update bsd4grml to version 20091027.

 -- Michael Prokop <mika@grml.org>  Tue, 27 Oct 2009 20:54:33 +0100

grml-live (0.9.27) unstable; urgency=low

  [ Michael Prokop ]
  * Adjust grub variable in boot/isolinux/{addons,grub}.cfg as well.
  * Add fio to GRML_FULL (thanks for the hint, Ulrich). [Closes: issue703]
  * Add 'noquick' to the serial bootoption.
  * Add ewf-tools to GRML_FULL and GRML_FORENSIC.

  [ Ulrich Dangel ]
  * Refactored addon menu handling for syslinux. The menu is now dynamically
    generated by grml-live to allow more convenient adjustments to the addon
    menu.

 -- Michael Prokop <mika@grml.org>  Mon, 26 Oct 2009 15:10:35 +0100

grml-live (0.9.26) unstable; urgency=low

  [ Michael Prokop ]
  * Update templates/boot/grub to grub2 version 1.97~beta4-1.
  * Add templates/boot/isolinux/ifcpu64.c32.
  * Add templates/boot/addons/gpxe.lkrn.
  * Document 'Shortcut keys of vesamenu bootsplash' in isolinux.cfg.
  * templates/boot/isolinux/{addons,syslinux}.cfg: Use new ldbsd.com
    feature (command line) to chain into GRUB2 directly from isolinux
    or syslinux without an intermediate interactive/menu prompt.
    Thanks to Thorsten for implementing and help.

  [ Thorsten Glaser ]
  * Update MirOS bsd4grml to 20091024 (ldbsd.com and ldbsd.txt only).

 -- Michael Prokop <mika@grml.org>  Sat, 24 Oct 2009 21:10:17 +0200

grml-live (0.9.25) unstable; urgency=low

  [ Ulrich Dangel ]
  * Switched order between isoprompt and hd menu entry to generate more
    easily the same bootmenu for generated cd images.
  * Changed grub.cfg and menu.lst to use new template names.
    Thanks to Michael Schierl for his bug report.
  * Clear at first the screen if bootparam quiet is set.
    Thanks again to Michael Schierl for his bug report.

  [ Michael Prokop ]
  * Support mksquashfs-lzma and $MKSQUASHFS in remaster/grml-live-remaster.
  * Add fbterm to GRML_FULL. [Closes: issue563]
  * Add parted to GRML_SMALL (thanks for the suggestion, Marc Haber).
  * Add pyneighborhood to GRML_FULL. [Closes: issue580]
  * Drop grml-ddcxinfo from GRML_FULL. [Closes: issue62]

 -- Michael Prokop <mika@grml.org>  Sat, 24 Oct 2009 14:12:33 +0200

grml-live (0.9.24) unstable; urgency=low

  [ Ulrich Dangel ]
  * Update templates/GRML/grml-cheatcodes.txt: mention nodhcphostname.
  * Changed isolinux vesamenu layout to support better multiiso layout.

  [ Thorsten Glaser ]
  * Update MirOS bsd4grml to 20091019.

  [ Michael Prokop ]
  * Software related changes:
    - Add openvas-client, openvas-plugins-base, openvas-plugins-dfsg +
      openvas-server to GRML_FORENSIC.
    - Add stressapptest to GRML_FULL + GRML_FORENSIC.
    - Drop lcap (package is gone) from GRML_FORENSIC.
    - Drop isic + lcap (packages gone) from GRML_FULL.
    - Drop ipset from GRML_FULL + GRML_FORENSIC (it's part of
      xtables-addons-common).
    - Drop harden-remoteaudit + openvas-server from GRML_FULL (they
      are pretty useless without plugins which need just too much space).
  * Rework variable replacements in templates. Now the %VAR% strings
    in the templates match with the ones used inside grml-live ($VAR),
    currently ARCH, DATE, DISTRI_INFO, DISTRI_NAME, DISTRI_SPLASH,
    GRML_NAME, SQUASHFS_NAME, RELEASE_INFO, SHORT_NAME and VERSION
    are supported. If you use your own templates from older grml-live
    versions please make sure to adjust them.
    Thanks to Ulrich for helping with integration within grml2usb.
  * /etc/grml/fai/config/debconf/GRMLBASE: add configuration for
    portmap to not listen on the loopback interface only by default.
    [Closes: issue737]
  * Update templates/GRML/grml-cheatcodes.txt: mention ethdevice.

 -- Michael Prokop <mika@grml.org>  Wed, 21 Oct 2009 00:12:27 +0200

grml-live (0.9.23) unstable; urgency=low

  * Software related changes:
    - GRML_SMALL, GRML_MEDIUM and GRML_FULL: switch from kernel
      2.6.28-grml[64] to 2.6.31-grml[64].
    - Drop ash from GRML_FULL (unrelevant for Grml).
    - Drop crack-common from GRML_FULL (it's a dependency of crack*).
    - Drop ddccontrol-db from GRML_FULL (it's a dependency of ddccontrol).
    - Drop dhcp3-common from GRML_FULL (it's a dependency of dhcp3*).
    - Drop defrag from GRML_FULL + GRML_FORENSIC (see #446691).
    - Drop emacs22/-common specific packages from GRML_FULL (dependencies).
    - Drop libpam-krb5 from GRML_FULL (related to #545824).
    - Drop mktemp from GRML_* (transitional package).
    - Drop openbsd-inetd from GRML_FULL (we're using xinetd).
    - Drop replicator from GRML_FULL (orphaned, see #474131).
    - Drop rt2400-modules-2.6.31-grml, rt2500-modules-2.6.31-grml and
      rt73-modules-2.6.31-grml from GRML_MEDIUM.
    - Drop rt2400-modules-2.6.31-grml, rt73-modules-2.6.31-grml and
      rt2400-modules-2.6.31-grml64 from GRML_FULL.
    - Drop timeout from GRML_* (it is part of coreutils nowadays).
    - Drop vim-python + vim-ruby from GRML_FULL (not available anymore).
    - Drop version specific dependency on -mysql-client-5.0.
    - Drop e2fslibs, esound-common, espeak-data, ettercap-common (all being
      dependencies), fileutils and gcom (both transitional package) from
      GRML_FULL.
    - Drop 915resolution, bazaar, cracklib2, dbishell, gmailfs,
      igal, nmapfe, python-pyogg, weechat-common, xdialog,
      xserver-xorg-video-i810, xserver-xorg-video-nsc and zeroconf from
      GRML_FULL (all being deprecated packages).
    - Drop cracklib2 from GRML_FORENSIC (deprecated).
    - Drop xserver-xorg-video-i810 + xserver-xorg-video-nsc from GRML_MEDIUM
      and XORG (deprecated packages).
    - Replace diff with diffutils and move it to GRMLBASE.
    - Replace dvb-utils with dvb-apps in GRML_FULL.
    - Replace postgresql-client-8.2 + postgresql-client-common with
      postgresql-client in GRML_FULL.
    - Move eject, file-rc, gawk, gpm, grep, grml-hwinfo, gzip, hostname,
      initramfs-tools, initscripts, klibc-utils + laptop-detect to GRMLBASE.
    - Add febootstrap to GRML_FULL.
    - Add guymager to GRML_FORENSIC.
    - Add extract and libextractor-plugins to GRML_FORENSIC (thanks to
      Dennis Schreiber for the hint).
    - Add iw to GRMLBASE. Thanks to Christian Hofstaedtler for the hint.
    - Add libnss-mdns to GRML_FULL (thanks to mrud).
  * Add backwards compatibility check for old sources.list layout
    (we're using /etc/apt/sources.list.d now) to script
    /etc/grml/fai/config/scripts/GRMLBASE/33-aptsetup
  * Assume 'lenny' as default SUITE instead of 'stable' as
    debootstrap doesn't know how to handle 'stable'.
    Thanks to Ulrich Dangel.
  * Use blocksize of 256 when running mksquashfs-lzma binary.
  * Update documentation regarding recent lzma development.
  * Some minor cosmetic corrections in grml-live's output.
  * Add missing test call in $FORCE_ISO_REBUILD code.
  * scripts/GRMLBASE/15-initsetup: assume safe GRML_NAME default.
  * Use menu hide in templates/boot/isolinux/prompt.cfg

 -- Michael Prokop <mika@grml.org>  Sat, 17 Oct 2009 16:14:51 +0200

grml-live (0.9.22) unstable; urgency=low

  * Send 'Find FAI build logs at' message to grml-live.log as well.
  * Software related changes:
    - Add comgt to GRML_FULL.
    - Add fatattr to GRML_FULL.
    - Add libsmbios-bin to GRML_FULL (thanks to Christian Bricart).
    - Add qla-tools to GRML_FULL.
    - Add xmount to GRML_FULL.
    - Drop edac-utils from GRML_FULL (it's in a bad shape within Debian).
    - Drop deprecated firmware-ipw3945 + ipw3945d from GRML_SMALL,
      GRML_MEDIUM and GRML_FULL.
    - Drop lanmap (abandonned upstream, see #542376).
    - Move dmidecode from GRML_SMALL, GRML_MEDIUM and GRML_FULL to GRMLBASE.
    - Replace nessusclient, nessusd and nessus-plugins with
      openvas-client and openvas-server in GRML_FULL.
  * Do not use /etc/grml_version but instead use /etc/debian_version
    as check whether the chroot exists. If grml-live execution
    itself succeded but was interrupted during task_configure it should
    be fine to re-run grml-live with -u/-b options.
  * Fix usage of exclude option in $SQUASHFS_OPTIONS.
  * Always remove temporary squashfs stderr file.
  * Fix usage of /etc/runlevel.conf in 15-initsetup.
  * Add wicd configuration to /etc/grml/fai/config/debconf/GRMLBASE.
  * Temporarly move /etc/apt/sources.list.d/grml.list in instsoft.GRMLBASE
    to /etc/apt/sources.list.d/grml.unused and restore in 33-aptsetup
    again then. This should should prevent us from duplicated sources
    list entries.
  * New cmdline option: "-n" skips generation of the ISO file.
  * Introduce support for squashfs-lzma-tools 4.0-1 and support
    configuration variable SQUASHFS_BINARY.
  * Modify update-initramfs call in grml-live script as the
    'update-initramfs -u -t' might fail with linux images which have been
    build using kernel-package.
  * templates/boot/isolinux/grml.cfg: add space char at end of lines in entries
    that are meant for manual editing (so user just has to press <tab>
    and edit).
  * Add 'pci=nomsi' to failsafe bootoption (thanks to Marc 'HE' Brockschmidt).
  * Fix grml2usb bootoption in templates/boot/isolinux/grml.cfg.
  * Display "Finished execution of stage 'WINDOWS_BINARIES'" only if the
    according code has been executed (and do not display if skipping).
  * Completely remove /lib/modules/${KERNEL}/kernel/drivers/isdn/hisax on
    grml-small as there will be unresolved symbols without hisax.ko.

 -- Michael Prokop <mika@grml.org>  Mon, 07 Sep 2009 15:59:47 +0200

grml-live (0.9.21) unstable; urgency=low

  [ Michael Prokop ]

  * New features:
    - Split the single /etc/apt/sources.list file into structured files
      in /etc/apt/sources.list.d/. We are using:
      - /etc/apt/sources.list.d/grml.list for all grml related repositories
      - /etc/apt/sources.list.d/debian.list for official Debian repositories
      [Closes: issue349]
    - Provide information about grml-live version and Debian/suite
      through /etc/grml_live_version in the generated ISO. [Closes: issue637]
    - New graphical boot menu. Can be disabled via ISOLINUX_METHOD=console.
    - New configuration variables DISTRI_NAME and DISTRI_INFO which should allow
      easier rebranding of grml-live based distributions.
    - Support installation of local files (not being part of any Debian package)
      through $CHROOT_INSTALL.
    - Display path of FAI logs during execution of grml-live.
    - Replace all references to ftp.de.debian.org with cdn.debian.org,
      see http://wiki.debian.org/DebianGeoMirror for details.
      Thanks for the idea, Marc Haber!

  * Bug fixes and improvements:
    - When adjusting postfix configuration: make sure to execute newaliases
      command after adjusting configuration, otherwise the old hostname
      will be left inside /etc/aliases.db.
    - grml_cleanup_chroot: get rid of /etc/lvm/cache/.cache and
      /etc/lvm/backup/main as well.
    - grml_cleanup_chroot: drop the /usr/include/linux checks.
    - 90-update-alternatives: use wm-ng as default x-window-manager.
      [Closes: issue716]
    - Check for existence of $target/etc/apt/important_note.txt before
      operating on it.
    - buildd: drop GRML_LIVE_ARCH but instead use default architecture
      if not specified.
    - Set UTC=no by default. See http://bts.grml.org/grml/issue708 for
      details. Credits to Ulrich Zehl for debugging. [Closes: issue708]
    - Improve check for architecture which should be build: if not specified
      assume a safe default and check this one.
    - Unify variable default checks, always assume sane defaults.
    - Always run $SUITE checks, so grml-live repository is used also
      if suite isn't manually specified.
    - Detect existence of stage 'boot' using boot/isolinux so grml-live
      executed with options '-q -B' and empty boot/isolinux works as well.
    - Introduce $NO_WINDOWS_BINARIES which replaces $WINDOWS_BINARIES so
      we can improve sanity checks and easify configuration.
    - Integrate memtest86+ binary so we don't ship old versions from
      the build host. [Closes: issue717]
    - Check whether rebuild of ISO is needed even though the ISO exists already.
      [Closes: issue719]

  * Debian packaging related changes:
    - Bump to Standard-Version 3.8.3 (no further changes).
    - Improve long description.
    - Update copyright file (make lintian happy).
    - Register grml-live html docs using doc-base.

  * Documentation:
    - grml-cheatcodes: document bootoption 'nostartx'.
    - Apply patch from Marc Haber (thanks!) for new grml cheatcodes
      (new DCS directory feature).

  * Software related changes:
    - Add git-email to GRML_FULL (thanks to Joerg Woelke for mentioning).
    - Add aesfix, aeskeyfind, bios-memimage, chaosreader, ext3grep, fatback,
      myrescue, pipebench, safecopy, shed and xmount to GRML_FORENSIC. The
      packages are either already available or should be available soon.
    - Add scsitools to GRML_MEDIUM.
    - Drop bar from GRML_FULL (no release since 2007, consider using
      for example cpipe instead).
    - Drop grml-saveconfig as it is replaced with recent versions
      of grml-autoconfig.
    - Drop hydra from GRML_FULL (the license is not a clean GPL one).
    - Drop icedax from GRML_FULL (we have schilyutils available).

  [ Thorsten Glaser ]
  * Update MirOS bsd4grml to 20090812 and sync menu.lst, grub.cfg,
    isolinux.cfg, syslinux.cfg with each other; provide a fallback
    way to boot MirOS bsd4grml from both GRUB versions using modules.
  * Fix going back to GNU GRUB from ldbsd.com via alternative boot method;
    while here, add the grml release info to the appropriate file.

 -- Michael Prokop <mika@grml.org>  Tue, 18 Aug 2009 00:33:48 +0200

grml-live (0.9.20) unstable; urgency=low

  * Add gnupg2 to GRML_FULL. Thanks to Walter Haidinger.
  * Drop all references to xserver-xorg-input-elo2300 (see #527699).
  * Cleanups in GRML_FULL:
    - Drop cheops (depends on libgtk1.2).
    - Drop dviutils ("Note: selecting "texlive-extra-utils" instead of the
      virtual package "dviutils" -> non-existing package)
    - Drop ext2resize (see #400797).
    - Drop fcoretools (see #534542).
    - Drop gdk-imlib11 (see #522810).
    - Drop gqcam (still depends on gtk1.2).
    - Drop hping2 (hping3 is available in all relevant Debian releases
      nowadays, see #533275).
    - Drop libpam-pwgen (see #511613).
    - Drop rgpsp (owner set to Debian QA Group and package doesn't seem
      to be that important for grml).
    - Drop windowlab (see #410618).
    - Drop workbone (see #429178).
  * Add check for valid Debian suite name to avoid breakage of sources.list
    if someone calls grml-live with a typo in the -s option.
  * Add exception for libewf1 and libstdc++2.10-glibc2.2 in
    /etc/grml/fai/config/scripts/GRMLBASE/40-deborphan.
  * buildd:
    - add support for building squeeze based ISOs.
    - add cronjob based on what the grml team is using at daily.grml.org
    - use '-a' instead of '-rltD' as rsync option to sync logs
    - use timestamp with hour, minute and second to match with FAI style
  * /etc/grml/fai/config/hooks/updatebase.GRMLBASE: install apt configuration
    also when updating the chroot (this happens if we have a base.tgz available
    on fresh installations).
  * Document usage of STOP_ON_ERROR in /etc/grml/fai/fai.conf.
  * Really add support for genisoimage (thanks for the bugreport, Worf).
  * Set subdirectories of $OUTPUT independent of cmdline parsing so
    it is possible to set it via conffile as well.
  * Validate whether the specified architecture class matches the
    architecture (option), otherwise installation of kernel will fail.
  * Add 'How do I deploy grml-live on a plain Debian installation' to FAQ.
  * Build grml-live documentation with table of content.

 -- Michael Prokop <mika@grml.org>  Wed, 05 Aug 2009 00:34:53 +0200

grml-live (0.9.19) unstable; urgency=low

  * Software related changes in GRML_FULL:
    - add btrfs-tools
    - add conkeror (thanks to Axel Beckert) [Closes: issue698]
    - add gptsync
    - add nfswatch
    - add nilfs2-tools
    - add pigz
    - add postmark
    - add tableau-parm
    - drop all LaTeX related packages (following the result
      of the recent "Removal of LaTeX on grml" poll):
      auctex catdvi ctioga dvipng gnuhtml2latex lacheck latex-beamer
      latexmk latex-mk latextug latex-xcolor pdfjam pgf
      preview-latex-style tex-common texify texlive-base
      texlive-base-bin texlive-common texlive-doc-base
      texlive-fonts-recommended texlive-lang-german texlive-latex-base
      texlive-latex-recommended texpower tth tthsum vim-latexsuite
   - Add class LATEX which provides all the LaTeX (related) packages
     that have been removed from GRML_FULL.
  * Software related changes in GRML_FORENSIC:
    - drop stegdetect (see #507908)
    - add several further packages:
      acpi apache2 apache2-utils at bluez-utils cpufrequtils cryptcat
      cups cups-pdf dc dsniff dvd+rw-tools gphoto2 hdparm hping3
      mysql-client netdiscover nmap os-prober poppler-utils pppconfig
      rdesktop readahead readpst recoverdm rifiuti rifiuti2 rpm samba
      samdump2 sdparm sg3-utils smbclient socat sqlite3 tcpdump
      tcpflow tcpreplay tcptrace tcptrack tcpxtract tct time unhide
      untex uuid-runtime vinetto w3m wamerican whois wireshark wv
      wvdial zfs-fuse
    Thanks also to Hans-Peter Merkel for his tool list.
  * Drop hdparm from GRML_FULL, GRML_MEDIUM and GRML_SMALL as it
    is part of GRMLBASE already.
  * Bump Standard Version to 3.8.2 (no further changes).

 -- Michael Prokop <mika@grml.org>  Tue, 28 Jul 2009 15:23:51 +0200

grml-live (0.9.18) unstable; urgency=low

  * Integrate grub2 for hybrid boot. Big thanks to Thorsten Glaser
    for his work and help.
  * Add safecopy to GRML_FULL (thanks to Wernfried Haas for the hint).
  * grml-cheatcodes: mention libata specific bootoptions.
    Thanks to Christian Vogel! [Closes: issue685]
  * Apply patches by Thorsten Glaser <tg@mirbsd.org>:
    - Fix jumping back from the bsd4grml loader (ldbsd.com) to GNU GRUB
    - Update bootgrub.mksh from MirBSD
    - Pad official ISOs to multiples of 256 KiB for partition table support.
  * Add bc to Depends as bootgrub.mksh requires it.

 -- Michael Prokop <mika@grml.org>  Sat, 13 Jun 2009 12:11:19 +0200

grml-live (0.9.17) unstable; urgency=low

  [ Frank Terbeck ]
  * grml-live-remaster: Support $VISUAL and fall back to 'vi' if
    EDITOR is empty. [Closes: issue664]

  [ Michael Prokop ]
  * Mention speakup.synth=... and hwspeak in grml-cheatcodes.txt.
  * 15-initsetup: warn if /etc/runlevel.conf (and therefore live-rc)
    does not exist and skip rest of the script then.
  * Software related changes:
    - Drop package snort from GRML_FULL and all the workarounds for it.
      It's once again uninstallable in Debian/unstable.
    - Drop package sing from GRML_FULL (removed from Debian, see #530487).
    - Drop package nemesis from GRML_FULL (unmaintained upstream and
      uninstallable in Debian, see #423201 and #529508).
    - Drop package paketto from GRML_FULL (removed from Debian, see #530486).
    - Drop package ifupdown-scripts-zg2 from GRML_FULL.
  * Set APT_LISTCHANGES_FRONTEND and APT_LISTBUGS_FRONTEND to 'none'
    on upgrade actions in /etc/grml/fai/config/hooks/instsoft.GRMLBASE.
  * Update /boot/grub/* files in build output on every invocation of
    grml-live (as we do it for isolinux stuff too), so the variables
    inside menu.cfg are up2date if rebuilding the ISO. [Testing: issue676]
  * Use variable for $FLAVOUR.squashfs in grub's menu.lst as well.

 -- Michael Prokop <mika@grml.org>  Fri, 29 May 2009 12:55:05 +0200

grml-live (0.9.16) unstable; urgency=low

  * Software related changes:
    - Add u3-tool to GRML_FULL.
    - Disable nttcp and lmbench (both non-free) in GRML_FULL.
    - Drop ttf-bitstream-vera from GRML_FULL (superseeded by its
      improved version named ttf-dejavu, see #461308).
    - Drop snownews from GRML_FULL (orphaned, inactive upstream,
      better alternatives like newsbeuter, see #468778).
  * Mention persistent bootoption in grml-cheatcodes.txt.

 -- Michael Prokop <mika@grml.org>  Tue, 19 May 2009 20:52:31 +0200

grml-live (0.9.15) unstable; urgency=low

  The "hey, let's have a grml release party" Release.
  * As dillo isn't available in Debian/unstable due to removal
    of libgtk1.2 we'll replace it with xlinks2 from package links2:
    - GRML_FULL: drop dillo
    - GRML_MEDIUM: replace links with links2 and drop dillo
    - XORG: replace dillo with links2
  * Drop cpp-4.1 and g++-4.1 from GRML_FULL.
  * Drop bzr from GRML_FULL (19MB is just too much).
  * Drop all kernel related packages that aren't available overall.
  * Drop linux-wlan-ng, as its module can't be built.

 -- Michael Prokop <mika@grml.org>  Mon, 18 May 2009 10:09:22 +0200

grml-live (0.9.14) unstable; urgency=low

  The "hey, let's have a post-lenny drop-party" Release.
  * Update /usr/share/locale handling: restore *empty* directories
    because otherwise installation/upgrade of packages might fail.
  * Document findiso bootoption in grml-cheatcodes.txt.
  * Software related changes:
    - Readd clive as the dependency on libterm-progressbar-perl was
      dropped (see #526999)
    - Drop airsnort (unmaintained upstream, #429507)
    - Drop array-util (unmaintained in Debian, #456648)
    - Drop automake1.8 (cleanup of automake packages, #473365)
    - Drop biew (old, no users, depends on debmake, #460636)
    - Drop cpp-2.95 (deprecated)
    - Drop db4.3-util (deprecated)
    - Drop debmake (obsolete, #462978)
    - Drop dynafont (upstream obsoleted by fonty-rg, #474125)
    - Drop eciadsl (unmaintained, broken with recent kernels, #470680)
    - Drop elfkickers (RC buggy; abandoned upstream, #523811)
    - Drop fragroute (out of date, orphaned, inactive, #487127)
    - Drop fttools (not available in any repos)
    - Drop funionfs (replaced by unionfs-fuse, #515955)
    - Drop gscanbus (obsolete, unmaintained, #429559)
    - Drop hdaps-utils (out of date, obsolete, #526172)
    - Drop hpijs (saving us 1352kB + 27,0MB from its dependencies disk space)
    - Drop ipxripd (obsolete, few users, #462178)
    - Drop jmon (orphaned, better alternatives, dead upstream, #510520)
    - Drop linneighborhood (unmaintained, better alternatives, #466489)
    - Drop mobilemesh (obsolete, #452102)
    - Drop ms-sys (contains non-free code, #470678)
    - Drop mutella (abandoned upstream, #489422)
    - Drop ndiswrapper-common (dep. only) + ndiswrapper-utils (dummy package)
    - Drop ndiswrapper-utils-1.1 (replaced by ndiswrapper-utils-1.9)
    - Drop o3read (abandoned upstream; superseded by odt2txt, #477311)
    - Drop potion (orphaned, out of date, low popcon, #499262)
    - Drop powertweakd, powertweak-gtk and lspowertweak
      (unmaintained upstream, #515588)
    - Drop scsi-idle (RC-buggy, useless, #385285)
    - Drop sjog (dead upstream, depends on legacy libs, unmaintained, #509403)
    - Drop stegdetect / xsteg (orphaned, inactive upstream, GTK+ 1.2, #507908)
    - Drop traceproto (not maintained upstream; alternative available, #495759)
    - Drop type1inst (orphaned and useless, #158476)
    - Drop unionfs-tools (buggy, replaced by aufs*, #515959)
    - Drop unison2.9.1 (obsolete, #443244)
    - Drop upstreamdev (alpha quality; abandoned upstream; low popcon, #494565)
    - Drop vnc-common (dead upstream, superseded by vnc4, #469247)
    - Drop vncommand (not available in any repos)
    - Drop xmove (buggy, orphaned, dead upstream, #486772)
    - Drop xserver-xorg-video-imstt (abandoned, #523683)
    - Drop xserver-xorg-video-vga (abandoned, #523687)
    - Drop xwatchwin (orphaned, no rdepends, #491903)

 -- Michael Prokop <mika@grml.org>  Fri, 15 May 2009 10:06:42 +0200

grml-live (0.9.13) unstable; urgency=low

  * Split package into grml-live and grml-live-addons.
    Add grml-live-addons to Recommends of package grml-live.
    Package grml-live-addons provides the templates/boot/addons
    files that require >7MB of disk space overall so we don't
    want to ship it with default grml:
    - allinone.img
    - balder10.imz
    - bsd4grml/
    - chain.c32
    - hdt.c32
    - memdisk
    - menu.c32
    - pci.ids
  * Add ${misc:Depends} to binary packages' depend.
  * Bump Standard-Version to 3.8.1 (no further changes).
  * Install /etc/grml/fai/live-initramfs/live.conf only if
    /etc/live.conf does not exist in the target yet.
  * Update isolinux.bin to version 2:3.75+dfsg-1 (3.75 Debian-2009-04-17)
    from Debian.
  * Integrate HDT ("Hardware Detection Tool") as bootoption 'hdt'.
    http://syslinux.zytor.com/wiki/index.php/Hdt_(Hardware_Detection_Tool)
    Thanks for the point, formorer!
    Use pci.ids from http://pciids.sourceforge.net/
  * Mention bsd and hdt in isolinux' bootsplash f3.
  * Mention readonly, hdt and bsd bootoptions in grml-cheatcodes.txt.
  * Slightly improve 'grml2ram' vs 'grml toram' description in bootsplash.
  * Software related changes:
    - Add virtualbox-ose-guest-x11 to GRML_FULL and GRML_MEDIUM.
    - Add virtualbox-ose-guest-modules-2.6.28-grml to GRML_MEDIUM.
    - Add speakup-tools to GRML_FULL.
    - Replace cupsys-bsd with cups-bsd and cupsys-client with cups-client.
    - Drop atl2-modules-2.6.28* from package list (merged in mainline).
    - Drop cupsys transitional package.
    - Drop clive from GRML_FULL as it depends on a fscking large perl
      package (see #526999).
    - Drop gcc-4.1 gcc-4.1-base, gcc-4.2-base, gettext-base, groff-base,
      imlib11, imlib-base and perl-base from GRML_FULL (deprecated and
      unnecessary packages).

 -- Michael Prokop <mika@grml.org>  Tue, 05 May 2009 09:46:26 +0200

grml-live (0.9.12) unstable; urgency=low

  * Add noapic, noresume, selinux=0 and edd=off to 'failsafe'
    bootoption and use maxcpus=0 instead of maxcpus=1.
  * Add dvtm to GRML_FULL (thanks to plh).
  * GRML_FULL and GRML_FORENSIC: replace libewf with libewf1.
  * Add packages to GRML_MEDIUM:
    - nfs-kernel-server [Closes: issue471]
    - aufs-tools (thanks for suggestion, Tong Sun) [Closes: issue652]
  * Remove madwifi* from GRML_FULL and GRML_MEDIUM (being replaced
    by ath5k and ath9k of linux kernel 2.6.28, see #519446).
  * Update bsd4grml to version 20090411.

 -- Michael Prokop <mika@grml.org>  Sat, 11 Apr 2009 12:26:02 +0200

grml-live (0.9.11) unstable; urgency=low

  * Remove base64 from GRML_FULL as coreutils (>= 6.0-1) provide
    a base64 binary now.
  * Use 'user' instead of 'users' again after discussing the issue
    in issue582.

 -- Michael Prokop <mika@grml.org>  Sun, 01 Mar 2009 20:23:49 +0100

grml-live (0.9.10) unstable; urgency=low

  * buildd:
    - Add workaround to get around the mkisofs volume label limit.
      Otherwise with something like 'grml64-medium-daily-squeeze 20090223'
      we would get:
      "mkisofs: Volume ID string too long (cur. XX max. 32 chars)."
    - add buildd/execute.sh to further simplify buildd/*.sh setup
    - send_mail(): do not append /var/log/grml-buildd.stdout by default
    - add shebang line to buildd/[execute|functions].sh to make lintian happy
  * Replace placeholder %GRML_NAME_SQUASHFS% with according value in
    bootsplash f5. [Closes: issue619]
  * Drop dropbear from GRML_FULL. The "ssh server inside initramfs"
    is just too annoying for us. [Closes: issue617]

 -- Michael Prokop <mika@grml.org>  Fri, 27 Feb 2009 13:11:31 +0100

grml-live (0.9.9) unstable; urgency=low

  * Update to kernel 2.6.28-grml[64].
  * Changes in GRML_FULL:
    - drop package tspc (see #462738 and #515193)
    - replace gqview with geeqie (thanks, Spida)
  * Changes in GRML_MEDIUM:
    - add beep (on request by gebi)
    - add dstat (on request by gebi)
    - add mc (on request by Christian Kuehlborn)
  * Document noautoconfig in grml-cheatcodes. Thanks to Ralf Moll!
  * buildd:
    - rename all etch* related scripts to lenny*
    - adjust scripts to use "lenny" instead of "stable" for building
      [to avoid that "etch" is used as build name but lenny is used]
    - use "$NAME-daily-$SUITE" in functions.sh as build name so
      identifying ISOs while running them is easier
  * Support squeeze as valid suite name.
  * Comment Debian/unstable in /etc/grml/fai/apt/preferences by default.
    This should avoid issues with something like
    'apt-get -t experimental ...'
  * Consequently drop 'Latest change' lines from all files.
  * Support generation of sha1sum [Testing: issue622]
  * Drop first, unnecessary APPEND line in isolinux.cfg and syslinux.cfg.
    [Closes: issue492]
  * Do no longer use the bootoption lang=us by default. We use it by default
    in grml-autoconfig anyway and this shortens our /proc/cmdline.
  * Run commands requiring network access through 'timeout 10' by default
    if possible. [Closes: issue396]
  * Do not use build server's hostname for /etc/mailname and
    /etc/bacula/bacula-fd.conf. [Testing: issue412]
  * Add "forensic" to the append line when using the forensic kerneloption
    so we can grep for it in any case.
  * 15-initsetup: keep a backup of the original runlevel.conf file.
    Thanks to Thomas Lehmann for the idea! [Closes: issue570]
  * instsoft.GRMLBASE: support installation of multiple gpg keys
    via /etc/grml/fai/files/etc/apt/*.key
  * isolinux.cfg/syslinux.cfg: Drop duplicated 'MENU DEFAULT'.
    Thanks to Thomas Lehmann for the bugreport!
  * Move /etc/grml/fai/apt/preferences to /etc/grml/fai/files/etc/apt/.
    This simplifies the directory layout a bit. Clarify its usage
    in /etc/grml/fai/apt/important_note.txt
  * Install all files from /etc/grml/fai/files/etc/apt. This supports
    usage of directories like /etc/apt/apt.conf.d. Thanks for the
    hint to Thomas Lehmann. [Closes: issue632]
  * Replace all "sed -i 's/././' foo" calls with
    'sed -i 's/././' foo | sponge foo' instead inside main grml-live script
    so we don't destroy any existing symlinks. Depend on moreutils therefor.
    [Closes: issue631]
  * Integrate bsd4grml [hash: 987ce9a6f9ce205ba64794ed3fcac603]. This
    provides MirBSD as bootoption 'bsd' at grml's bootprompt. Thanks to
    Thorsten "mirabilos" Glaser for his work! Add support for
    configuring NO_ADDONS_BSD4GRML via configuration file.
  * Add informational header to /etc/grml/fai/apt/sources.list and
    update docs regarding the file.
  * If specified SUITE is unstable use 'sid' instead (to avoid breakages
    with debootstrap).
  * Support NO_ADDONS via configuration file.
  * Always skip mksquashfs part when using -q option.
  * Adjust configuration files on the fly only when the according lines
    aren't comments.

 -- Michael Prokop <mika@grml.org>  Mon, 23 Feb 2009 12:43:18 +0100

grml-live (0.9.8) unstable; urgency=low

  * Improve help text of the release option in usage info.
  * Drop fblog from GRML_FULL (obsolete with 2.6 kernels, #427139).
  * Add libcap2-bin to GRML_FULL.
  * Upgrade isolinux.bin to version from syslinux-common 2:3.73+dfsg-1.
    [Testing: issue569]
  * Integrate /etc/grml/fai/config/scripts/GRMLBASE/18-timesetup to
    improve UTC handling. Thanks for the script, Thomas Lehmann!

 -- Michael Prokop <mika@grml.org>  Thu, 12 Feb 2009 14:20:39 +0100

grml-live (0.9.7) unstable; urgency=low

  * Add packages to GRML_FULL:
    - aiccu (thanks, Christian Vogel)
    - genext2fs
    - radvd (thanks, Christian Vogel)
    - tf (thanks, Rhonda)
  * Add genext2fs to GRML_MEDIUM (for use within live-snapshot).
  * Support execution without touching the chroot at all using option "-B".
    Thanks for the patch, Jimmy.
  * Update current state section of documentation.
  * Update cheatcode documentation (thanks to Moritz Augsburger).
  * Drop cryopid from GRML_FULL, see #507882.

 -- Michael Prokop <mika@grml.org>  Fri, 12 Dec 2008 12:17:35 +0100

grml-live (0.9.6) unstable; urgency=low

  * Add new packages to GRML_FULL:
    - cciss-vol-status (HP SmartArray RAID Volume Status Checker)
    - dwdiff (front-end for the diff program that operates word by word)
    - espeakup (connector between espeak and speakup)
    - faketime (report faked system time to programs)
    - fcoretools (Tools to advise the IO scheduler)
    - latencytop (A tool for developers to visualize system latencies)
    - qiv (A quick image viewer for X)
    - speakup-modules-2.6.26-grml64 (support speakup on amd64 as well)
  * Add irqbalance to GRML_MEDIUM.
    - irqbalance (Daemon to balance interrupts for SMP systems)
    - latencytop (A tool for developers to visualize system latencies)
    - powertop (Linux tool to find out what is using power on a laptop)
  * Remove localepurge from GRML_SMALL.
  * Remove mozilla-imagezoom from GRML_FULL (the "extension installed"
  * Execute dpkg-reconfigure for localepurge with noninteractive frontend.
    [Closes: issue554]
  * Rework locale handling. From now on /usr/share/locale gets removed
    by default (though /usr/share/i18n/locales won't be touched for
    now), unless using class LOCALES. Reason: We have >70MB inside
    /usr/share/locale on GRML_FULL, just too much to ship by default,
    message at startup sucks).
  * Update grml-cheatcodes.txt.
  * Provide grml's gpg key via /etc/grml/fai/files/etc/apt/grml.key
    so we support offline operation as well. Based on an idea by
    Thomas Lehmann, thanks!
  * Generate ISO with volume label "${GRML_NAME} ${VERSION}" instead of
    "grml $VERSION" so we propagate the according grml-name. Thanks to
    Thomas Lehmann!
  * Support -q option to build the ISO without (re-)creating the squashfs
    compressed file using mksquashfs.

 -- Michael Prokop <mika@grml.org>  Wed, 19 Nov 2008 11:13:05 +0100

grml-live (0.9.5) unstable; urgency=low

  * Drop "root (cd)" from grub/menu.lst. Thanks, Tong Sun. [Closes: issue552]
  * Drop xserver-xorg-video-newport from all flavours.
  * Replace all unzoo package references with zoo, see #497775.
  * Handle policy-rc.d in /etc/grml/fai/config/hooks/updatebase.GRMLBASE
    because we have to skip FAI's updatebase task and lack /proc therefore.
    New packages that are being installed and want to start any daemons
    might fail, let's try to do our best to avoid that.
  * Try to get rid of any hanging $CHROOT_OUTPUT/dev[/pts] mountpoints.
  * Drop clamav-getfiles from GRML_FULL.
  * Update debian/control:
    - move from XS-Vcs-* to Vcs-*
    - use Build-Depends-Indep

 -- Michael Prokop <mika@grml.org>  Sat, 25 Oct 2008 12:18:37 +0200

grml-live (0.9.4) unstable; urgency=low

  * Update docs (some minor fixes, migration from hg to git,..)
  * Use squashfs-lzma-tools instead of squashfs-tools:
    Depend on squashfs-lzma-tools - but allow usage
    of squashfs-tools as well).
  * Activate grml-testing repository for devel releases and
    daily snapshots. [Testing: issue531]
  * All flavours:
    - drop lzma-modules-2.6.26-grml[64] and
      squashfs-modules-2.6.26-grml[64] as we have it
      in-tree of kernel 2.6.26-grml[64].
  * GRML_FULL:
    - add ipset
    - drop wodim and genisoimage as we have a fully functional
      cdrtools suite in grml
  * GRML_MEDIUM:
    - replace rt73-module-2.6.26-grml with rt73-modules-2.6.26-grml.
  * GRML_SMALL:
    - several improvements to keep the ISO size as small as possible
    - use kernel 2.6.26-grml instead of 2.6.26-grml-small
    - remove grml-small package
    - remove fuse-utils
    - remove nvi (see #490361)
    - remove ppoeconf (just too big with its dependencies)
    - remove prism54-firmware (for saving disk space)
  * Support environment variable NO_ADDONS to avoid usage of
    addons directory.
  * Initial support for SQUASHFS_EXCLUDES_FILE.
  * Do not include vmlinuz and initrd when building grml-small.
  * We switched from Mercurial to Git - replaced all hg-URLs
    with git.grml.org

 -- Michael Prokop <mika@grml.org>  Wed, 01 Oct 2008 21:34:43 +0200

grml-live (0.9.3) unstable; urgency=low

  * Improve the way deborphan works in
    /etc/grml/fai/grml/grml_cleanup_chroot.deborphan and
    get rid of aptitude via
    /etc/grml/fai/config/scripts/GRMLBASE/98-clean-chroot
  * Add PREREQ header to grml's initramfs-tools script, otherwise
    booting fails with "PANIC: Circular dependancy.  Exiting."
    Thanks for debugging help, maximilian attems.
  * Use apt-get instead of dpkg in removal of packages in grml-small.
  * Add tig to GRML_FULL, thanks Rhonda.

 -- Michael Prokop <mika@grml.org>  Thu, 25 Sep 2008 20:05:19 +0200

grml-live (0.9.2) unstable; urgency=low

  * Improve checks for -[no]lzma for different squashfs-tools.

 -- Michael Prokop <mika@grml.org>  Thu, 04 Sep 2008 13:28:48 +0200

grml-live (0.9.1) unstable; urgency=low

  * Rebuild initramfs to make sure that the up2date /etc/grml_version
    is available in the live initramfs. [Closes: issue516]

 -- Michael Prokop <mika@grml.org>  Thu, 04 Sep 2008 13:27:35 +0200

grml-live (0.9.0) unstable; urgency=low

  * Update to kernel 2.6.26-grml[64].
  * Drop sysutils and cupsys-common from package lists.
  * Add ext3grep to GRML_FULL.
  * Integrate /etc/grml/fai/config/package_config/GRML_FORENSIC.
  * Move ssdeep and scrounge-ntfs from grml's repository list to
    Debian's one.
  * Drop syslog-ng in all classes and use rsyslog in GRMLBASE.
  * Document classes in more details. Thanks to Pawel Sadkowski
    for pointing out. [Closes: issue490]
  * Drop qtparted from GRML_FULL, we have better maintained
    gparted now.
  * Get rid of /etc/grml/fai/config/class/GRML_FULL.var,
    /etc/grml/fai/config/class/GRML_MEDIUM.var,
    /etc/grml/fai/config/class/GRML_POWERPC.var and
    /etc/grml/fai/config/class/GRML_SMALL.var - we manage the
    configuration through GRMLBASE.var and this way it's much
    easier to adjust settings according to your needs.
  * Improve error handling in grml-live, including a check
    for pipestatus of fai command.
  * Output grml version in grml's live-initramfs script
    Thanks for the idea, Marc Haber. [Closes: issue488]
  * Drop glimpse from GRML_FULL due to license problems, see #474322.
  * Display SQUASHFS_OPTIONS in configuration overview.
  * Make sure it's possible to get usage information without being
    root or actually executing the script.
  * Improve usage information screen.
  * Display progress of squashfs, when building via a buildsystem
    just set -no-progress in $SQUASHFS_OPTIONS instead.
  * Use linux-kernel-headers-grml in grml-medium.
  * Use vim.basic as alternative setting for 'vi'.

 -- Michael Prokop <mika@grml.org>  Mon, 01 Sep 2008 15:17:39 +0200

grml-live (0.8) unstable; urgency=low

  * Remove packages from GRML_FULL:
    - apmd (the package is just borken, see #475432)
    - raggle (#479562)
  * Remove scandelay bootoption from grml-cheatcodes.txt (thanks
    for mentioning in a bugreport, Marc Haber!)
  * Add packages to GRML_FULL:
    - ent (thanks, gebi)
  * Add packages to GRML_MEDIUM:
    - xfsdump (thanks, George Hartlieb)
  * Mention "grml debug=noscreen" in grml-cheatcodes.txt.

 -- Michael Prokop <mika@grml.org>  Mon, 12 May 2008 19:13:32 +0200

grml-live (0.7) unstable; urgency=low

  * Update templates/boot/addons/allinone.img to current version
    from http://home.arcor.de/mschierlm/bootdisk/
    Thanks, Michael Schierl.
  * Add packages to GRML_FULL:
    - gnuit
    - i2c-tools [thanks to Mario Holbe]
    - iotop
    - keynav
  * Remove packages from GRML_FULL:
    - emelfm (#364442)
    - nufw (#468245)
    - sound-recorder (#288211)
  * Readd libewf to GRML_FULL.
  * buildd: use RELEASE-class in all build scripts
  * Mention noquick bootoption in bootsplash and cheatcode file.
  * Fix typo in bootsplash f3, thanks to Daniel Martin for reporting.
  * Make sure username is adjusted in /etc/inittab.grml if username
    not being "grml". Thanks for reporting, Thomas Lehmann.
    [Testing: issue436]
  * Add check for existence of -nolzma option. If squashfs-tools
    doesn't support it at all then just get rid of the option.

 -- Michael Prokop <mika@grml.org>  Sun, 11 May 2008 18:28:12 +0200

grml-live (0.6) unstable; urgency=low

  * Write squashfs filename to /live/filesystem.module.
  * Adjust grml-live-remaster for new file system layout
    and add support for working on a booted USB device.

 -- Michael Prokop <mika@grml.org>  Sat, 23 Feb 2008 11:12:10 +0100

grml-live (0.5) unstable; urgency=low

  * Make sure we use ${GRML_NAME}.squashfs instead of hardcoded
    grml.squashfs.
  * Update bootsplashes to current implementation, based on
    live-initramfs and grml-autoconfig.
  * Get rid of gnu-fdisk in GRML_FULL (it's causing just too many
    headaches, see #461888, #463720 and #445304 for example).
  * Add sshfs to GRML_MEDIUM.

 -- Michael Prokop <mika@grml.org>  Wed, 20 Feb 2008 16:41:06 +0100

grml-live (0.4) unstable; urgency=low

  * Add new packages to GRML_FULL:
    - linux-uvc-modules-2.6.23-grml
    - luvcview
  * Add new packages to GRML_MEDIUM:
    - at76-usb-modules-2.6.23-grml
    - atl2-modules-2.6.23-grml
    - firmware-ralink
    - rt2400-modules-2.6.23-grml
    - rt2500-modules-2.6.23-grml
    - rt73-module-2.6.23-grml
  * Finally fixed the "isolinux does not boot on old hardware" problem.
    The problem was a too big boot/isolinux directory. Thanks a lot
    for all the testing to Andrea Mayr and Wernfried Haas!
    - use /boot/addons/* for allinone.img, balder10.imz, chain.c32,
      menu.c32 and memtest
    - place $GRML_NAME in /boot/$GRML_NAME/ - this should easify
      support of several grml flavours on one single usb pen for the future
    - adjust grub's menu.lst and isolinux.cfg as well as grml-live itself
      for new directory layout
  * Make sure $GRML_NAME does not contain known problematic characters.

 -- Michael Prokop <mika@grml.org>  Fri, 15 Feb 2008 16:08:38 +0100

grml-live (0.3) unstable; urgency=low

  * Add virtualbox-ose-guest-utils [x86-only] to GRML_MEDIUM.
  * Update isolinux.bin to "ISOLINUX 3.61 Debian-2008-02-05" again. Versions
    older than 3.51 don't work with recent kernel versions like 2.6.23
    anymore. :(
  * Update templates/boot/isolinux/memdisk from syslinux package
    version 2:3.61+dfsg-1.

 -- Michael Prokop <mika@grml.org>  Wed, 13 Feb 2008 10:33:43 +0100

grml-live (0.2) unstable; urgency=low

  * Revert isolinux.bin to version 3.31. Newer versions (like 3.55-1)
    just fail on several old boxes. [Testing: issue400]
  * Add new packages to GRML_FULL:
    - auctex
    - loop-aes-testsuite
  * Add new packages to GRML_MEDIUM:
    - atl2-modules-2.6.23-grml
    - firmware-iwlwifi
    - madwifi-modules-2.6.23-grml[64]
    - madwifi-tools
  * Set 'confirm=1' in /etc/apt/listchanges.conf.
  * Add /etc/grml/fai/config/scripts/GRMLBASE/36-cpufrequtils
    for providing default /etc/default/loadcpufreq configuration.
  * Move sourcing /etc/grml/grml-live.local *before* the cmdline
    option parsing so we can override already set defaults interative.
  * Grep using the quiet option for squashfs features.

 -- Michael Prokop <mika@grml.org>  Mon, 14 Jan 2008 22:54:10 +0100

grml-live (0.1) unstable; urgency=low

  * Bump version number to 0.1 as we ship grml-live with the
    upcoming stable versions.
  * Source /etc/grml/grml-live.local before parsing command line
    options to be able to override configuration on the commandline.
  * Use /usr/bin/vim.tiny as alternativ for vi.
  * Add new packages to GRML_FULL:
    - at76-usb-modules-2.6.23-grml64
    - bluez-audio
    - conky (thanks, shehu)
    - epdfview
    - gfs2-tools
    - sslscan
    - truecrypt-2.6.23-grml64
    - unsort
  * Remove bluetooth-alsa from GRML_FULL.
  * Add new packages to GRML_MEDIUM:
    - ntfs-3g
    - truecrypt-2.6.23-grml64
  * templates/boot/grub/menu.lst, templates/boot/isolinux/*.cfg:
    - drop deprecated entries
    - add debian2hd for isolinux/syslinux
    - fix serial bootoption
    - add grml2hd template for grub
  * /etc/grml/fai/config/scripts/GRMLBASE/98-clean-chroot:
    remove packages via dpkg instead of apt-get. Thanks for the
    bugreport and the patch, Lupe Christoph! [Closes: issue367]
  * Use -no-progress option for mksquashfs only if it's supported.

 -- Michael Prokop <mika@grml.org>  Fri, 11 Jan 2008 01:56:01 +0100

grml-live (0.0.14) unstable; urgency=low

  * Include initial version of the grml-live-remaster script,
    contributed by Michael Schierl (thanks!) [Closes: issue331]
  * Bump Standard-Version to 3.7.3 (no further changes).
  * Set debconf configuration for postfix via
    /etc/grml/fai/config/scripts/GRMLBASE/05-hostname
  * Improve check for presence of FAI log directory in
    /etc/grml/fai/config/scripts/GRMLBASE/95-package-information
  * Configure apt-listchanges via new script
    /etc/grml/fai/config/scripts/GRMLBASE/97-apt-listchanges
  * Make sure packages are being removed before docs are being
    deleted in /etc/grml/fai/config/scripts/GRMLBASE/98-clean-chroot
  * Create grml-live.log-file with permissions 664.
  * Adjust buildd/functions.sh for new logging.
  * Fix kernel related packages for GRML_MEDIUM and GRML_FULL
    on AMD64 architecture. Add several new kernel packages for amd64
    to GRML_FULL.
  * Split grml + grml-files into x86 vs. amd64 (grml64 + grml-files64).
  * Drop packages from GRML_FULL:
    - findimagedupes: too many new dependencies, being:
      libgraphics-magick-perl libgraphicsmagick1 libwmf0.2-7
    - netpipes: conflicts with timelimit (see #457444) and does
      not support IPv6 yet
  * Add new packages to GRML_FULL:
    - asql
    - at76-usb-modules-2.6.23-grml
    - edac-utils
    - ifupdown-extra
    - opencryptoki
    - pmailq
    - r6040-modules-2.6.23-grml
    - scamper
    - timelimit
    - virtualbox-ose-guest-modules-2.6.23-grml
    - virtualbox-ose-guest-utils

 -- Michael Prokop <mika@grml.org>  Mon, 17 Dec 2007 00:51:05 +0100

grml-live (0.0.13) unstable; urgency=low

  * New option '-b' for "build-only".
  * Replace mailx with bsd-mailx in GRML_FULL.
    http://packages.qa.debian.org/b/bsd-mailx/news/20071209T135336Z.html
  * Store package list in /usr/share/doc/grml-docs/packages/dpkg_list
  * Document grml2ram bootoption in grml-cheatcodes.txt
  * Use -no-progress for Squashfs build process.
  * Improve /etc/resolv.conf handling in
    /etc/grml/fai/config/scripts/GRMLBASE/96-apt-listbugs
  * Adjust hostname in /etc/postfix/main.cf.
  * Make sure /etc/grml/fai/config/scripts/GRMLBASE/40-deborphan does not fail.
  * Fix typo in /etc/grml/fai/config/scripts/GRMLBASE/32-xorg
  * Make sure $HOSTNAME is unset by default.
  * Disable Recommends for aptitude as well.
  * Check for presence of live-initramfs in 10-build-initramfs.
  * Install aptitude in softupdate if not present.
  * Always drop groff-base, man-db, info, man-db, manpages and nano from grml-small.
  * Fix snort setup (/etc/default/snort.dpkg-dist) via
    /etc/grml/fai/grml/grml_cleanup_chroot
  * Do some further cleanups via /etc/grml/fai/grml/grml_cleanup_chroot.deborphan
  * Remove hwtools from GRML_FULL, see #397723
  * Remove several packages from GRMLBASE and integrate them in GRML_MEDIUM
    instead so we keep grml-small as small as possible:
    acpi-support, aumix, alsa-utils, dctrl-tools, debconf-utils,
    grml-debian-keyring, grml-debugtools, grml-files, grml-hwinfo, grml-laptop,
    grml-mercurial-utils, grml-pylib, grml-sectools, grml-templates,
    grml-terminalserver, htop, iptstate, locales, multitail, postfix, powernowd,
  * Add new packages to GRML_MEDIUM:
    - truecrypt-2.6.23-grml
  * Add new packages to GRML_FULL:
    - git-svn (thanks for the suggestion, Brad Cable) [Closes: issue361]
    - gnupg-pkcs11-scd
    - gparted
    - grml-paste
    - iscsitarget-module-2.6.23-grml (replaces iscsitarget-2.6.23-grml)
    - unhide
  * buildd:
    - store_iso(): move md5sum file as well
    - support providing options via grml_live_run() so we can disable
      LZMA for grml-small builds

 -- Michael Prokop <mika@grml.org>  Sun, 09 Dec 2007 22:38:31 +0100

grml-live (0.0.12) unstable; urgency=low

  * Log mkisofs command with quotes around version number for easier
    copy/paste.
  * Ship syslinux files via template directory because the syslinux
    version (1:3.31-4) in Debian/etch is broken. :(
    Drop syslinux from Depends.
  * Mention -u option if using the option by accident and the chroot
    does not exist yet.
  * Update buildd/cleanup.sh and add buildd/files/.logo.png,
    buildd/files/.style.css, buildd/files/HEADER.html and
    buildd/link_latest.sh (create symlinks for latest snapshot ISOs)
    and provide upload_logs().
  * Generate md5sum of ISO if using class 'RELEASE'.
  * Do not install package 'grml' via GRMLBASE because we want
    to use grml-small in GRML_SMALL and GRML_MEDIUM.
  * Remove and recreate /root directory in 98-clean-chroot.
  * Skip stage updatebase when using softupdate and handle upgrade
    on our own via hooks.
  * Execute removal of log files after sourcing config files.

 -- Michael Prokop <mika@grml.org>  Sun, 09 Dec 2007 17:28:01 +0100

grml-live (0.0.11) unstable; urgency=low

  * New option -z to use ZLIB instead of LZMA compression and
    support SQUASHFS_OPTIONS in configuration file.
  * Add new class XORG.
  * Add X.org packages to GRML_MEDIUM.
  * Make sure /etc/X11/X is not a symlink to /bin/true. Check and fix
    via /etc/grml/fai/config/scripts/GRMLBASE/32-xorg.
  * Adjust grml-buildd for new logdir structure.
  * Add new script /etc/grml/fai/config/scripts/GRMLBASE/40-deborphan
    which adds shadowfs and bsdtar to the 'never report'-list of deborphan.
  * Diplay use of $LOCAL_CONFIG in configuration dialog.
  * Remove fai's last-dirinstall and last-softupdate when using
    ZERO_FAI_LOGFILE as well.
  * Depend on fai-client (>= 3.2.4), fai-server (>= 3.2.4) as version
    3.2.3 has a serious bug.
  * Add new packages to GRML_FULL:
    - atl2-modules-2.6.23-grml
    - firmware-ralink (replaces firmware-rt61 and firmware-rt73)
    - firmware-rt61
    - firmware-rt73
    - mlocate
    - open-vm-tools
    - pcaputils
    - xrestop
    - xserver-xorg-video-radeonhd
    - yatm
  * Remove tinysnmp-tools from GRML_{SMALL,FULL,MEDIUM}, see #444723.

 -- Michael Prokop <mika@grml.org>  Mon, 26 Nov 2007 15:07:54 +0100

grml-live (0.0.10) unstable; urgency=low

  * Drop patches which are part of FAI 3.2.3 now. Depend on
    FAI version 3.2.3 therefor.
  * FAI 3.2.3 has a new log schema, adjusted grml-live accordingly.
    Quoting the NEWS file of FAI:
    - LOGDIR is now /var/log/fai/$HOSTNAME/$FAI_ACTION_date+time
    - LOGDIR is /tmp/fai during an installation (not dirinstall), and
      will be copied to the path above at the end of an installation
  * Log the executed FAI, squashfs and mkisofs command lines to
    /var/log/grml-live.log.
  * New option '-C <configuration_file>' for specifying a configuration
    file. Needs heavy testing though, because the files are updated
    during runtime it isn't as easy as expected to be. :-/
  * Support $ZERO_FAI_LOGFILE inside grml-live configuration for removing
    old FAI logs.
  * Do not enable apt-listbugs if the binary is not available.
    [Testing: issue340]
  * Add keychain package to GRML_SMALL.
  * Add new packages to GRML_MEDIUM:
    - grml-live
    - keychain
    - lzma-modules-2.6.23-grml
    - squashfs-modules-2.6.23-grml (we build the module external now)
  * Add new packages to GRML_FULL:
    - aosd-cat
    - grml-live
    - lzma-modules-2.6.23-grml
    - squashfs-modules-2.6.23-grml (we build the module external now)
  * Support loading of squashfs module via
    /etc/grml/fai/live-initramfs/grml-script.init-top
  * Make sure we have pinning for grml-stable and grml-testing
    repositories via /etc/grml/fai/apt/preferences, not matter where
    the packages come from (web vs. local mirror/cache for example).
  * Remove base.tgz from chroot directory.
  * Do not create /etc/sysconfig/network-scripts and
    /etc/sysconfig/provider any longer in cleanup script.
  * Fix typo in bootsplash f3 (thanks, jimmy).
  * Switch order of 'lang=us apm=power-off' to 'apm=poweroff' in
    isolinyx/syslinux/grub configuration because getbootparam
    of grml-autoconfig requires a whitespace inside /proc/cmdline.
  * Support grml2ram bootoption inside isolinyx/syslinux/grub
    configuration.

 -- Michael Prokop <mika@grml.org>  Mon, 19 Nov 2007 12:49:37 +0100

grml-live (0.0.9) unstable; urgency=low

  * Remove all files inside /root/ when using class RELEASE.
  * Disable apt-listbugs in [soft]update.
  * Fix 'dependency problems' handling in buildd functions.
  * Add buildd/remove_isos.sh to remove generated ISOs.
  * Support kernel upgrades via according /etc/kernel-img.conf configuration.
  * Set hostname in instsoft-hook already.
  * Add user (grml) to all relevant groups.
  * Improve initrd+kernel copy process: ignore .bak files (and get rid
    of them) and copy always exactly one image.
  * Add new packages to GRML_FULL:
    - awesome
    - cereal
    - etckeeper
    - hdapsd
    - hdaps-utils
    - libstdc++2.10-glibc2.2 [for better support of
      binaries from commercial vendors; thanks to
      Christian Hofstaedtler]
    - mkelfimage
    - runit
    - rutilt
    - supercat
    - truecrypt-2.6.23-grml
  * Drop centericq-common, centerim-common, irssi-text, rt2400
    and rt2500 from GRML_FULL package list.

 -- Michael Prokop <mika@grml.org>  Mon, 05 Nov 2007 22:37:11 +0100

grml-live (0.0.8) unstable; urgency=low

  * Copy /etc/resolv.conf to chroot in
    /etc/grml/fai/config/scripts/GRMLBASE/96-apt-listbugs and
    /etc/grml/fai/config/hooks/instsoft.GRMLBASE as well.
  * Remove /var/run/fai/fai_softupdate_is_running and
    /var/run/fai/FAI_INSTALLATION_IN_PROGRESS if we exit grml-live.
    (FAI's softupdate currently does not clean up when canceling
    the process.)
  * Set EXITSTATUS in /etc/policy-rc.d.conf of chroot to 101 for
    softupdate action.
  * Remove /var/log/fai/* in class RELEASE.
  * Generate md5sum of windows binaries.
  * Upgrade via aptitude [safe-]upgrade in update process.
  * Rename /etc/grml/fai/grml/grml_cleanup_chroot.no_online into
    /etc/grml/fai/grml/grml_cleanup_chroot.online
  * Edit /etc/apt/apt.conf inside
    /etc/grml/fai/config/scripts/GRMLBASE/99-finish-grml-build only
    once.
  * Make the log checks inside grml-live aware of the update
    log-directory /var/log/fai/current.
  * Use strings instead of --help to detect support of safe-upgrade
    inside aptitude, otherwise it might fail due to unavailable shared libs.
  * Configure (enable) apt-listchanges + apt-listbugs via
    /etc/grml/fai/config/scripts/GRMLBASE/96-apt-listbugs
  * Purge removed packages via /etc/grml/fai/grml/grml_cleanup_chroot
  * Add new packages to GRML_FULL:
    - acx100-2.6.23-grml
    - bcm5700-module-2.6.23-grml
    - dzen2
    - drbd8-2.6.23-grml
    - exmap-modules-2.6.23-grml
    - fglrx-kernel-2.6.23-grml
    - iscsitarget-2.6.23-grml
    - ivtv-modules-2.6.23-grml
    - ivtv-utils
    - libacme-bleach-perl
    - libacme-eyedrops-perl
    - libacme-smirch-perl
    - libpam-chroot
    - libpam-devperm
    - libpam-dotfile
    - libpam-krb5
    - libpam-modules
    - libpam-mount
    - libpam-pwgen
    - libpam-smbpass
    - libpam-ssh
    - libpam-tmpdir
    - libtool
    - ndiswrapper-modules-2.6.23-grml
    - openafs-modules-2.6.23-grml
    - tp-smapi-modules-2.6.23-grml
  * Add portmap to GRML_SMALL and GRML_MEDIUM (thanks for the feedback,
    Tom Asbury).
  * Remove trapdoor2 from GRML_FULL (the Debian package isn't
    in a very smooth shape).

 -- Michael Prokop <mika@grml.org>  Sun, 04 Nov 2007 01:43:06 +0100

grml-live (0.0.7) unstable; urgency=low

  The "holidays? what? are you joking?!"-release.

  * Added FAI patches to /usr/share/grml-live/patches/ - it's
    recommended to apply the patches to FAI until they are accepted
    upstream. See Debian's BTS for more details: #444210, #447080
    and #448426.
  * Support option '-u' for updating system.
  * Reworked buildd concept.
    - Now we have a seperate
      /usr/share/grml-live/buildd/functions.sh for generic stuff
      and /etc/grml/grml-buildd.conf as configuration file.
    - Use grml-buildd.{stdout,stderr} instead of
      grml-live.{stdout,stderr} as log files.
    - buildd/functions.sh: do not mv files if there was an error
      during grml-live execution
    - do not re-execute grml-live is the target ISO exists already
  * Update zsh completion - thanks to Frank Terbeck!
  * Set /etc/grml_version of live-system to the according value.
    [Closes: issue322]
  * Support setting /etc/debian_chroot inside chroot (useful if
    building fails and manual interaction is needed).
  * Log to /var/log/grml-live.log by default now and support
    $ZERO_LOGFILE for cleaning up logs.
  * Added new grml-repository named grml-live which is intented
    to fix issues from Debian for grml-live builds. It is automatically
    activated if you are building against unstable/sid and should
    be used manually only if you realy know what you are doing.
    Notice: if something fails inside building the base chroot/
    debootstrap system we can't do anything via grml-live for you
    right now. Instead grab the base.tgz from http://daily.grml.org/
  * Add /usr/share/grml-live/scripts/repodiff.pl (by formorer, thx!)
    for comparing two repositories.
  * Replaced /etc/grml/fai/files/etc/apt/preferences
    with /etc/grml/fai/apt/preferences so grml-live repository
    can be used and configured at a single place.
  * Use apt-pinning via /etc/grml/fai/config/hooks/instsoft.GRMLBASE
    and drop it from /etc/grml/fai/config/scripts/GRMLBASE/33-aptsetup
    later again.
  * Display version number of grml-live.
  * Log executed grml-live command line.
  * Set FAI_DEBOOTSTRAP_OPTS="--exclude=dhcp-client,info"
    by default.
  * Disable Recommends inside chroot installation.
  * Set shared/default-x-server and xserver-xorg/config/monitor/identifier
    for xserver-xorg package via debconf to work around #448863.
  * Use "newest" kernel only if two kernels are present in the chroot.
  * Set $SECONDS to unknown if $start_seconds is not set.
  * Log closing signs (----...) via bailout to make sure they are
    always set - even when exiting with an error.
  * Check for presence of /bin/zsh before setting default shell in
    /etc/grml/fai/config/scripts/GRMLBASE/21-usersetup
  * Check for locales/localepurge before using them in
    /etc/grml/fai/config/scripts/GRMLBASE/25-locales
  * Add new packages to GRML_FULL:
    - bittwist
    - ldnsutils
    - libpam-thinkfinger
    - linux-wlan-ng-modules-2.6.23-grml
    - madwifi-modules-2.6.23-grml
    - netrw
    - rt73-module-2.6.23-grml
    - thinkfinger-tools
    - tra
  * Drop idn from GRML_FULL.
  * Add new packages to GRML_MEDIUM:
    - alsa-base
    - alsa-tools
    - alsa-utils
    - ed
    - pcmciautils
    - Update kernel version to 2.6.23-grml
    - replace dhcp-client with dhcp3-client
  * Add ed package to GRML_SMALL and replace dhcp-client with
    dhcp3-client.
  * Use new kernel version 2.6.23-grml64 for amd64.

 -- Michael Prokop <mika@grml.org>  Sat, 20 Oct 2007 12:12:33 +0200

grml-live (0.0.6) unstable; urgency=low

  * New option "-a" for setting architecture. This allows building
    grml(32) on amd64.
  * Fix stderr redirection in "/usr/sbin/fai already running..."
  * Update /etc/grml/fai/make-fai-nfsroot.conf
  * Use /var/log/fai/dirinstall/${HOSTNAME}/grml-live.log as logfile
    for grml-live instead of /var/log/grml-live.log so it's easier
    to track.
  * Update of buildd scripts: main configuration file main.sh
    which provides all the build stuff inside separate functions.
  * Fall back to blackhole.pca.dfn.de as keyserver if retreiving
    from subkeys.pgp.net fails.
  * Improve check for kernel version inside
    /etc/grml/fai/config/scripts/GRMLBASE/10-build-initramfs
  * Work around #353967 for Debian/etch in
    /etc/grml/fai/config/scripts/GRMLBASE/21-usersetup
  * Add new packages to GRML_FULL:
    - ghostscript (and get rid of gs, gs-common, gs-esp)
    - mr

 -- Michael Prokop <mika@grml.org>  Wed, 17 Oct 2007 22:59:08 +0200

grml-live (0.0.5) unstable; urgency=low

  * Add new scripts to /usr/share/grml-live/examples/buildd/:
    - grml-live_autobuild_grml-small_etch.sh
    - grml-live_autobuild_grml-small_sid.sh
    - grml-live_autobuild_grml64-small_etch.sh
    - grml-live_autobuild_grml64-small_sid.sh
  * Some more FAI error checking.
  * Updated buildd scripts (better subject handling).
  * Re-enable 'Acquire::http::Pipeline-Depth' workaround'.
    Restore usual Debian behaviour at the end using
    /etc/grml/fai/config/scripts/GRMLBASE/99-finish-grml-build
  * Add new scripts for retreiving bugs via apt-listbugs
    and storing package selection inside log directory.
    This has been integrated in a new class named "RELEASE".
  * Added support for new kernel version 2.6.23-grml to
    GRML_FULL.
  * Use uxterm as x-terminal-emulator and fall back to xterm
    only it uxterm is not available.
  * Support /etc/locale.gen.grml - it's used by default in
    class GRML_FULL and a new class named LOCALES.
  * Work around #443481 (bug inside snort) for Debian etch
    via using /etc/snort/snort.common.parameters (thanks for
    the idea, Thomas Lange!)
  * Do not exit with an error code if /usr/include/linux is NOT
    a symlink to /usr/src/linux/include/linux but keep it as
    a warning instead.
  * Log executed grml-live command.
  * Re-enable problematic packages that have been fixed:
    - apt-listbugs (fixed via manual interaction in scripts)
    - gsm-utils (#353967)
    - snort (#443481)
    - wvdial (fixed via debconf)
  * Add new packages to GRML_FULL:
    - ack-grep
    - mailplate
    - pristine-tar

 -- Michael Prokop <mika@grml.org>  Sun, 07 Oct 2007 23:06:28 +0200

grml-live (0.0.4) unstable; urgency=low

  * The -t option for specifying the output directory has been
    renamed into -o. The option -t now specifies the place where
    templates for building the ISO can be found.
  * Option -t can be used for specifying the template directory.
    TEMPLATE_DIRECTORY can be used in /etc/grml/grml-live.conf
  * Check for /var/run/fai/FAI_INSTALLATION_IN_PROGRESS and exit then.
  * /etc/grml/fai/config/hooks/instsoft.GRMLBASE:
    - disable pipeline workaround
    - create /dev/MAKEDEV in chroot to work around the
      "./MAKEDEV: No such file or directory" problem of some packages
  * Use /var/log/grml-live.log as log file as /var/log/fai/* is too
    dangerous because of automatic removal of the files/dirs via fai.
  * Use class GRML_MEDIUM by default and document GRMLBASE, GRML_* plus
    I386/AMD64 classes in the docs.
  * Add new packages to GRML_FULL:
    - tgt: Linux target framework user-space tools
    - paperkey: extract just the secret information out ouf OpenPGP keys
    - gitpkg: helper scripts for maintaining packages with git
    - iscsitarget: iSCSI Enterprise Target userland tools
    - iscsitarget-module-2.6.22-grml: kernel module for iscsitarget
  * Set $HOSTNAME to according hostname via
    /etc/grml/fai/config/scripts/GRMLBASE/34-hosts
  * Adjust filename in header of /etc/grml/fai/config/scripts/GRMLBASE/*.
  * Use iceweasel/firefox as x-www-browser and w3m as www-browser (if
    available).
  * Check for presence of the initrd.
  * Improve adjustment of suite for $FAI_DEBOOTSTRAP.
  * Add /usr/share/grml-live/examples/buildd/

 -- Michael Prokop <mika@grml.org>  Thu, 04 Oct 2007 22:16:34 +0200

grml-live (0.0.3) unstable; urgency=low

  * Support for setting GRML_NAME (like grml vs. grml-small
    vs grml64 vs...)
  * Drop the character limits of $VERSION and $RELEASENAME.
  * Make sure $SECONDS is set before outputting the runtime.
  * Unify usage of i386_files, place all template files in
    directory templates now.
  * Improve portability of linux headers cleanup inside
    grml_cleanup_chroot.
  * Provide class GRML_SMALL and rename old GRML_SMALL into
    GRML_MEDIUM.
  * Do not install kernel via GRMLBASE but via GRML_* classes
    instead so we have only one single kernel on the system
    with something like 'GRMLBASE,GRML_SMALL,REMOVE_DOCS,I386'.
  * Use grml-live.log as logfile.
  * Added vim to GRML_MEDIUM package list.

 -- Michael Prokop <mika@grml.org>  Sun, 30 Sep 2007 12:58:15 +0200

grml-live (0.0.2) unstable; urgency=low

  * Add support for amd64.
  * Update and extend documentation.
  * Bugfix: Make sure $LOGDIR exists.
  * fai dirinstall: set hostname via $HOSTNAME

 -- Michael Prokop <mika@grml.org>  Fri, 21 Sep 2007 11:46:17 +0200

grml-live (0.0.1) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mika@grml.org>  Sat, 15 Sep 2007 15:35:34 +0200

